<?php
/**
 * @Copyright Copyright (C) 2010- ... Ahmad Bilal
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * Company:		Al-Barr Technologies
 + Contact:		www.al-barr.com , info@al-barr.com
 * Created on:	Jan 11, 2009
 ^
 + Project: 		JS Jobs
 * File Name:	install.jsjobs.php
 ^ 
 * Description: Installer
 ^ 
 * History:		NONE
 ^ 
 */

defined ('_JEXEC') or die ('Restricted access');
 
function com_install()
{
	echo '<pre>';

	$version = getVersion(); 
	checkBackup(); 
	installModulePlugin($version);
	echo '</pre>';
	echo '<p>Thank you for installing Joom Sky\'s JS Jobs Joomla Job Board Component.</p>';
	
	return true;
}

function getVersion(){
	$db = &JFactory::getDBO();

	$return_value;	
	$query = 'SELECT COUNT(*) FROM '.$db->nameQuote('#__js_job_config_bak');
	$db->setQuery($query);
	$backup = $db->loadResult();
	if ( $backup == 0 )	{ // no back up found
			return 0;
	}else { // backup found
			$query = 'SELECT * FROM '.$db->nameQuote('#__js_job_config_bak')." WHERE configname = 'versioncode'";
			$db->setQuery($query);
			$version = $db->loadObject();
			if($version){
				return $version->configvalue;
			}else return 0;

	}	
	return 0;
}

function checkBackup(){
	$db = &JFactory::getDBO();

	$com_query = "UPDATE #__components SET admin_menu_img = '../administrator/components/com_jsjobs/include/images/js.png' WHERE admin_menu_link='option=com_jsjobs'";
	$db->setQuery($com_query);
	$db->query();
	
	$return_value;	
	$query = 'SELECT COUNT(*) FROM '.$db->nameQuote('#__js_job_config_bak');
	$db->setQuery($query);
	$backup = $db->loadResult();
        if ( $backup == 0 )	{ // no back up found
				insertDefaultValues();                                                // insert default values
        }else { // backup found
                $query = 'SELECT * FROM '.$db->nameQuote('#__js_job_config_bak')." WHERE configname = 'versioncode' OR configname = 'version'";
				$db->setQuery($query);
				$confs = $db->loadObjectList();
                foreach($confs AS $conf){
                    if($conf->configname == 'versioncode') $versioncode = $conf->configvalue;
                    if($conf->configname == 'version') $version = $conf->configvalue;
                }
//                $version = $db->loadObject();
                if($versioncode){
                    if(($versioncode == '107') || ($versioncode == '1071') || ($versioncode == '1072') || ($versioncode == '1073') || ($versioncode == '1074') || ($versioncode == '1075') || ($versioncode == '1076') || ($versioncode == '1077') 
						|| ($versioncode == '108') || ($versioncode == '1085') || ($versioncode == '1086') || ($versioncode == '1087'))
                        mainBackup($versioncode,$version);
                    elseif(($versioncode == '106') || ($versioncode == '1061')|| ($versioncode == '1062'))
                        bacupv106($versioncode);
                    elseif(($versioncode == '105') || ($versioncode == '1051') || ($versioncode == '1052') || ($versioncode == '1053') || ($versioncode == '1054')
                         || ($versioncode == '1055') || ($versioncode == '1056') || ($versioncode == '1057') || ($versioncode == '10571') || ($versioncode == '1058')
                         || ($versioncode == '1502') || ($versioncode == '1503') || ($versioncode == '1504') || ($versioncode == '1505') || ($versioncode == '1506')
                         || ($versioncode == '15061') || ($versioncode == '1507') || ($versioncode == '15071') || ($versioncode == '1508')
						 )
                        bacupv105();
                    else{
		                $query = 'SELECT COUNT(*) FROM '.$db->nameQuote('#__js_job_userroles_bak');
		                $db->setQuery($query);
		                //echo '<br>SQL '.$query;
		                $isv105 = $db->loadResult();
		                if ( $isv105 == 1 )	{ // v1.0.5
							bacupv105();
		                }else
							echo "<font color='red'>".JText::_('Error! can not upgrade this version.</font><br>');
                    }
                }

		}	
	return true;
}

function full_copy( $source, $target ) {
	if ( is_dir( $source ) ) {
		@mkdir( $target );
		$d = dir( $source );
		while ( FALSE !== ( $entry = $d->read() ) ) {
			if ( $entry == '.' || $entry == '..' ) {
				continue;
			}
			$Entry = $source . '/' . $entry; 
			if ( is_dir( $Entry ) ) {
				full_copy( $Entry, $target . '/' . $entry );
				continue;
			}
			copy( $Entry, $target . '/' . $entry );
		}
 
		$d->close();
	}else {
		copy( $source, $target );
	}
}

function rmdir_r ( $dir, $DeleteMe = TRUE )
{
	if ( ! $dh = @opendir ( $dir ) ) return;
	while ( false !== ( $obj = readdir ( $dh ) ) )
	{
		if ( $obj == '.' || $obj == '..') continue;
		if ( ! @unlink ( $dir . '/' . $obj ) ) rmdir_r ( $dir . '/' . $obj, true );
	}
	
	closedir ( $dh );
	if ( $DeleteMe )
	{
		@rmdir ( $dir );
	}
}

function insertDefaultValues()
{
                $db = &JFactory::getDBO();
				//$query = setupSQLTransferCleanup();
                //$db->setQuery($query);
                //$db->queryBatch();
                echo JText::_('No backed up found... <br>');
                $configquery = getDefaultConfigSQL();
                $catquery = getDefaultCatSQL();
                $subcatquery = getDefaultSubCatSQL();
                $jobtypequery = getDefaultJobTypeSQL();
                $salquery = getDefaultSalaryRangeSQL();
                $salaryrangetypequery = getDefaultSalaryRangeTypesSQL();
                $educationquery = getDefaultHeighestEducationSQL();
                $jobstatusquery = getDefaultJobStatusSQL();
                $shiftquery = getDefaultShiftSQL();
                $rolequery = getDefaultRoleSQL(); // may remove it
                $emailquery = getDefaultEmailTemplatesSQL();
                $contriesquery = getDefaultContriesSQL();
                $fieldorderingquery = getDefaultFieldOrderingSQL();

                $agequery = getDefaultAgesSQL();
                $careerlevelquery = getDefaultCareerLevelsSQL();
                $experiencequery = getDefaultExperiencesSQL();

                $employerpackagesquery = getDefaultEmployerPackagesSQL();
                $jobseekerpackagesquery = getDefaultJobSeekerPackagesSQL();

                $Pakstatesquery = getDefaultPakStatesSQL();
                $Pakcontiesquery = getDefaultPakCountiesSQL();
                $Pakcitiesquery = getDefaultPakCitiesSQL();

				$currenciesquery = getDefaultCurrenciesSQL();
                
                $db->setQuery($configquery);
                if ( $result = $db->queryBatch())echo JText::_('Deault Configurations insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Configurations.</font><br>');

                $db->setQuery($catquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Categories data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Categories data.</font><br>');

                $db->setQuery($subcatquery);
                if (! $result = $db->queryBatch()) echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Sub-Categories data.</font><br>');

                $db->setQuery($jobtypequery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Job Types data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Job Type data.</font><br>');

                $db->setQuery($salquery);
                if ( $result = $db->queryBatch()) echo JText::_('Deault Salary Range data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Salary Ranges data.</font><br>');

                $db->setQuery($salaryrangetypequery);
                if ( $result = $db->queryBatch()) echo JText::_('Deault Salary Range Types data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Salary Range Types data.</font><br>');

                $db->setQuery($educationquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Heighest Education data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Heighest Education data.</font><br>');

                $db->setQuery($jobstatusquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Job Status data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Job Status data.</font><br>');

                $db->setQuery($shiftquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Shift data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Shift data.</font><br>');

                $db->setQuery($rolequery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Roles data insert successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Roles data.</font><br>');

                $db->setQuery($emailquery);
                //echo '<br> 6 '.$emailquery;
                if ( $result = $db->queryBatch())	echo JText::_('Deault Email Templates data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Email Templates data.</font><br>');

                $db->setQuery($agequery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Ages data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Ages data.</font><br>');

                $db->setQuery($careerlevelquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Career Levels data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Career Levels data.</font><br>');

                $db->setQuery($experiencequery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Experiences data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Experiences data.</font><br>');

                $db->setQuery($employerpackagesquery);
                //echo '<br> 6 '.$employerpackagesquery;
                if ( $result = $db->queryBatch())	echo JText::_('Deault Employer Packages data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Employer Packages data.</font><br>');

                $db->setQuery($jobseekerpackagesquery);
                //echo '<br> 6 '.$jobseekerpackagesquery;
                if ( $result = $db->queryBatch())	echo JText::_('Deault Job Seeker Packages data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Job Seeker Packages data.</font><br>');

                $db->setQuery($contriesquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Contries data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Contries data.</font><br>');

                $db->setQuery($Pakstatesquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Pakistan States data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Pakistan States data.</font><br>');
                $db->setQuery($Pakcontiesquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Pakistan Districts data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Pakistan Districts data.</font><br>');
                $db->setQuery($Pakcitiesquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Pakistan Cities data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Pakistan Cities data.</font><br>');

                $db->setQuery($fieldorderingquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Field Ordering data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Field Ordering data.</font><br>');

                $db->setQuery($currenciesquery);
                if ( $result = $db->queryBatch())echo JText::_('Deault Currencies insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Currencies.</font><br>');

               return true;

}
function mainBackup($versioncode,$version){ // main backup
 	$db = &JFactory::getDBO();
           echo JText::_('Database backed up data found v'.$version.'  ... Beginning transfer ...<br>');
                $query = 'SELECT * FROM '.$db->nameQuote('#__js_job_config_bak')." WHERE configname = 'versioncode'";
				$db->setQuery($query);
                $version = $db->loadObject();
            $configquery = 'INSERT INTO '.$db->nameQuote('#__js_job_config').' SELECT * FROM '.$db->nameQuote('#__js_job_config_bak').';';
            $catquery = 'INSERT INTO '.$db->nameQuote('#__js_job_categories').' SELECT * FROM '.$db->nameQuote('#__js_job_categories_bak').';';
            $salaryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_salaryrange').' SELECT * FROM '.$db->nameQuote('#__js_job_salaryrange_bak').';';
			if(($version->configvalue == '107') || ($version->configvalue == '1071') || ($version->configvalue == '1072') || ($version->configvalue == '1073')
			 || ($version->configvalue == '1074') || ($version->configvalue == '1075') || ($version->configvalue == '1076'))			
			{
				$jobquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobs').' SELECT *,1,"","","" FROM '.$db->nameQuote('#__js_job_jobs_bak').';';
			}elseif(($version->configvalue == '1077') || ($version->configvalue == '1078')){
				$jobquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobs').' SELECT *,"","","" FROM '.$db->nameQuote('#__js_job_jobs_bak').';';
			}elseif(($version->configvalue == '108')){
				$jobquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobs').' SELECT *,"","" FROM '.$db->nameQuote('#__js_job_jobs_bak').';';
			}else{
				$jobquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobs').' SELECT * FROM '.$db->nameQuote('#__js_job_jobs_bak').';';
			}		
			if(($version->configvalue == '107') || ($version->configvalue == '1071') || ($version->configvalue == '1072') || ($version->configvalue == '1073')
			 || ($version->configvalue == '1074') || ($version->configvalue == '1075') || ($version->configvalue == '1076') || ($version->configvalue == '1077'))			
			{
				$jobapplyquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobapply').' SELECT *,0 FROM '.$db->nameQuote('#__js_job_jobapply_bak').';';
			}else{
				$jobapplyquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobapply').' SELECT * FROM '.$db->nameQuote('#__js_job_jobapply_bak').';';
			}
			
			if(($version->configvalue == '107') || ($version->configvalue == '1071') || ($version->configvalue == '1072') || ($version->configvalue == '1073')
			 || ($version->configvalue == '1074') || ($version->configvalue == '1075') || ($version->configvalue == '1076'))			
			{
				$jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT *,1,0,"","","","" FROM '.$db->nameQuote('#__js_job_resume_bak').';';
			}elseif(($version->configvalue == '1077')){
				$jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT *,0,"","","","" FROM '.$db->nameQuote('#__js_job_resume_bak').';';
			}elseif(($version->configvalue == '108')){
				$jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT *,"","","","" FROM '.$db->nameQuote('#__js_job_resume_bak').';';
			}elseif(($version->configvalue == '1085') || ($version->configvalue == '1086')){
				$jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT *,"","","" FROM '.$db->nameQuote('#__js_job_resume_bak').';';
			}else{	
				$jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT * FROM '.$db->nameQuote('#__js_job_resume_bak').';';
			}	
            $countriesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_countries').' SELECT * FROM '.$db->nameQuote('#__js_job_countries_bak').';';
            $statesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_states').' SELECT * FROM '.$db->nameQuote('#__js_job_states_bak').';';
            $countiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_counties').' SELECT * FROM '.$db->nameQuote('#__js_job_counties_bak').';';
            $citiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_cities').' SELECT * FROM '.$db->nameQuote('#__js_job_cities_bak').';';
            $zipsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_zips').' SELECT * FROM '.$db->nameQuote('#__js_job_zips_bak').';';


            $companiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_companies').' SELECT * FROM '.$db->nameQuote('#__js_job_companies_bak').';';
            $jobsearchesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobsearches').' SELECT * FROM '.$db->nameQuote('#__js_job_jobsearches_bak').';';
            $jobstatusquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobstatus').' SELECT * FROM '.$db->nameQuote('#__js_job_jobstatus_bak').';';
            $jobtypequery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobtypes').' SELECT * FROM '.$db->nameQuote('#__js_job_jobtypes_bak').';';
            $jobtypequery2 = 'INSERT INTO '.$db->nameQuote('#__js_job_jobtypes').' (id, title, isactive, status) SELECT id, title, isactive, 1 FROM '.$db->nameQuote('#__js_job_jobtypes_bak').';';
            $shiftsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_shifts').' SELECT * FROM '.$db->nameQuote('#__js_job_shifts_bak').';';
            $shiftsquery2 = 'INSERT INTO  '.$db->nameQuote('#__js_job_shifts').' (id, title, isactive, status) SELECT id, title, isactive, 1 FROM '.$db->nameQuote('#__js_job_shifts_bak').';';
            $coverlettersquery = 'INSERT INTO '.$db->nameQuote('#__js_job_coverletters').' SELECT * FROM '.$db->nameQuote('#__js_job_coverletters_bak').';';
            $emailquery = 'INSERT INTO '.$db->nameQuote('#__js_job_emailtemplates').' SELECT * FROM '.$db->nameQuote('#__js_job_emailtemplates_bak').';';
            $fieldorderingquery = 'INSERT INTO '.$db->nameQuote('#__js_job_fieldsordering').' SELECT * FROM '.$db->nameQuote('#__js_job_fieldsordering_bak').';';


            $filtersquery = 'INSERT INTO '.$db->nameQuote('#__js_job_filters').' SELECT * FROM '.$db->nameQuote('#__js_job_filters_bak').';';
            $educationquery = 'INSERT INTO '.$db->nameQuote('#__js_job_heighesteducation').' SELECT * FROM '.$db->nameQuote('#__js_job_heighesteducation_bak').';';
            $resumesearchquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resumesearches').' SELECT * FROM '.$db->nameQuote('#__js_job_resumesearches_bak').';';
            //may delete it
            $rolesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_roles').' SELECT * FROM '.$db->nameQuote('#__js_job_roles_bak').';';
            $userfieldsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfields').' SELECT * FROM '.$db->nameQuote('#__js_job_userfields_bak').';';

            $agessquery = 'INSERT INTO '.$db->nameQuote('#__js_job_ages').' SELECT * FROM '.$db->nameQuote('#__js_job_ages_bak').';';
            $careerleversquery = 'INSERT INTO '.$db->nameQuote('#__js_job_careerlevels').' SELECT * FROM '.$db->nameQuote('#__js_job_careerlevels_bak').';';
            $experiencesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_experiences').' SELECT * FROM '.$db->nameQuote('#__js_job_experiences_bak').';';
            $salaryrangetypesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_salaryrangetypes').' SELECT * FROM '.$db->nameQuote('#__js_job_salaryrangetypes_bak').';';

            $agessquery = 'INSERT INTO '.$db->nameQuote('#__js_job_ages').' SELECT * FROM '.$db->nameQuote('#__js_job_ages_bak').';';
            $careerleversquery = 'INSERT INTO '.$db->nameQuote('#__js_job_careerlevels').' SELECT * FROM '.$db->nameQuote('#__js_job_careerlevels_bak').';';
            $experiencesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_experiences').' SELECT * FROM '.$db->nameQuote('#__js_job_experiences_bak').';';
            $salaryrangetypesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_salaryrangetypes').' SELECT * FROM '.$db->nameQuote('#__js_job_salaryrangetypes_bak').';';

            
			$employerpackagesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_employerpackages').' SELECT * FROM '.$db->nameQuote('#__js_job_employerpackages_bak').';';
			$jobseekerpackagesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobseekerpackages').' SELECT * FROM '.$db->nameQuote('#__js_job_jobseekerpackages_bak').';';
            
			$employerpaymenthistoryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_employerpaymenthistory').' SELECT * FROM '.$db->nameQuote('#__js_job_employerpaymenthistory_bak').';';
            $jobseekerpaymenthistoryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobseekerpaymenthistory').' SELECT * FROM '.$db->nameQuote('#__js_job_jobseekerpaymenthistory_bak').';';


            $departmentsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_departments').' SELECT * FROM '.$db->nameQuote('#__js_job_departments_bak').';';
            $shortlistcandidatesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_shortlistcandidates').' SELECT * FROM '.$db->nameQuote('#__js_job_shortlistcandidates_bak').';';

            $userfieldvaluequery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfieldvalues').' SELECT * FROM '.$db->nameQuote('#__js_job_userfieldvalues_bak').';';
            $userfielddataquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfield_data').' SELECT * FROM '.$db->nameQuote('#__js_job_userfield_data_bak').';';
            //may delete it
            $userrolesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userroles').' SELECT * FROM '.$db->nameQuote('#__js_job_userroles_bak').';';

            $subcategoriesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_subcategories').' SELECT * FROM '.$db->nameQuote('#__js_job_subcategories_bak').';';
            $currenciesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_currencies').' SELECT * FROM '.$db->nameQuote('#__js_job_currencies_bak').';';
			
			
            $db->setQuery($configquery);
            if ( $result = $db->queryBatch()) echo JText::_('Configurations Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Configurations.</font><br>');

			$configupdate = getUpdateConfigSQL();
			$db->setQuery($configupdate);
			if ( $result = $db->queryBatch())
				echo JText::_('Configurations update successfully!<br>');
			else{
				echo "<font color='red'>".JText::_('Error occurred while attempting to update configurations.</font><br>');
				//return false;
			}

            $db->setQuery($catquery);
            if ( $result = $db->queryBatch()) echo JText::_('Categories Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Categories data.</font><br>');

            $db->setQuery($salaryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Salary Range Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Salary Range data.</font><br>');

            $db->setQuery($salaryrangetypesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Salary Range Types Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Salary Range Types data.</font><br>');

            $db->setQuery($jobquery);
            if ( $result = $db->queryBatch())	echo JText::_('Job Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job data.</font><br>');

            $db->setQuery($jobapplyquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Apply Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Apply data.</font><br>');

            $db->setQuery($jaquery);
            if ( $result = $db->queryBatch()) echo JText::_('Resume Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Resume data.</font><br>');

            $db->setQuery($companiesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Companies Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Companies data.</font><br>');

            $db->setQuery($jobsearchesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Searches Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Searches data.</font><br>');

            $db->setQuery($jobstatusquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Status Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Status data.</font><br>');

            $db->setQuery($jobtypequery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Types Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Types data.</font><br>');

            $db->setQuery($shiftsquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Shifts Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Shifts data.</font><br>');

            $db->setQuery($coverlettersquery);
            if ( $result = $db->queryBatch()) echo JText::_('Cover Letters Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Cover Letters data.</font><br>');

            $db->setQuery($emailquery);
            if ( $result = $db->queryBatch()) echo JText::_('Email Templates Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Email Templates data.</font><br>');

			if(($version->configvalue == '107') || ($version->configvalue == '1071') || ($version->configvalue == '1072') || ($version->configvalue == '1073')			
				|| ($version->configvalue == '1074') || ($version->configvalue == '1075') || ($version->configvalue == '1076') || ($version->configvalue == '1077') || ($version->configvalue == '1078')){			

				$emailqueryupdate = "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (17,0,'job-alert-visitor',NULL,'JS Jobs: New Job By Visitor','<p>Dear {CONTACT_NAME} ,</p>\r\n<p>We receive new job.</p>\r\n<p>Title: {JOB_TITLE}</p>\r\n<p>Job Category: {JOB_CATEGORY}</p>\r\n<p>Company Name: {COMPANY_NAME}</p>\r\n<p>Status: {JOB_STATUS}</p>\r\n<p>Login and view detail at Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2011-03-31 16:46:16');";
				$db->setQuery($emailqueryupdate );
				if ( $result = $db->queryBatch()) echo JText::_('New Email Template data insert successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to insert new Email Template data.</font><br>');
			}
            $db->setQuery($fieldorderingquery);
            if ( $result = $db->queryBatch()) echo JText::_('Field Ordering Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Field Ordering data.</font><br>');
		if(($version->configvalue == '107') || ($version->configvalue == '1071') || ($version->configvalue == '1072') || ($version->configvalue == '1073'))			
		{
				$fieldorderingupdatequery = 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 20 WHERE fieldfor = 3 AND ordering > 20;';
				$fieldorderingupdatequery .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 3 AND ordering > 13;';
				$fieldorderingupdatequery .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 13 AND ordering > 13;';
				$db->setQuery($fieldorderingupdatequery);
				if ( $result = $db->queryBatch()){
					$sql = "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')."  (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES  ( 'section_userfields', 'User Fields', '21', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES  ( 'userfield1', 'User Field 1', '22', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`)  VALUES ( 'userfield2', 'User Field 2', '23', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield3', 'User Field 3', '24', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`)  VALUES ( 'userfield4', 'User Field 4', '25', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`)  VALUES ( 'userfield5', 'User Field 5', '26', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield6', 'User Field 6', '27', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield7', 'User Field 7', '28', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield8', 'User Field 8', '29', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield9', 'User Field 9', '30', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield10', 'User Field 10', '31', '1000', '3', '0', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth', 'Date of Birth', '14', '10', '3', '1', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth','Date of Birth', '14', '10', '13', '1', '0', '0', '0');";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',3,1,1,0,0);";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',13,1,1,0,0);";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
					$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',13,1,1,0,0);";
					$db->setQuery($sql);
					if ( $result = $db->queryBatch())
						echo JText::_('Field Ordering update successfully!<br>');
					else echo "<font color='red'>".JText::_('Error occurred while attempting to update Field Ordering data.</font><br>');
				}else echo "<font color='red'>".JText::_('Error occurred while attempting to update Field Ordering data.</font><br>');
				
				$updatefieldorderingvisitorquery = getUpdateFieldOrderingVisitorSQL();
				$db->setQuery($updatefieldorderingvisitorquery);
				if ( $result = $db->queryBatch())
					echo JText::_('Field Ordering update for visitor successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to update Field Ordering for visitor data.</font><br>');

				// why need this
				$sql = 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 3 AND ordering > 13;';
				$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 13 AND ordering > 13;';
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth', 'Date of Birth', '14', '10', '3', '1', '0', '0', '0');";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth','Date of Birth', '14', '10', '13', '1', '0', '0', '0');";
				$db->setQuery($sql);
				$result = $db->queryBatch();

			}elseif(($version->configvalue == '1074') || ($version->configvalue == '1075') || ($version->configvalue == '1076') || ($version->configvalue == '1077') || ($version->configvalue == '1078'))	{
				$updatefieldorderingvisitorquery = getUpdateFieldOrderingVisitorSQL();
				$db->setQuery($updatefieldorderingvisitorquery);
				if ( $result = $db->queryBatch())
					echo JText::_('Field Ordering update for visitor successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to update Field Ordering for visitor data.</font><br>');

				$sql = 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 3 AND ordering > 13;';
				$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 13 AND ordering > 13;';
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth', 'Date of Birth', '14', '10', '3', '1', '0', '0', '0');";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth','Date of Birth', '14', '10', '13', '1', '0', '0', '0');";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',3,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',13,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',13,1,1,0,0);";
				$db->setQuery($sql);
				$result = $db->queryBatch();
			}elseif(($version->configvalue == '108'))	{
				$sql = 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 3 AND ordering > 13;';
				$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 13 AND ordering > 13;';
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth', 'Date of Birth', '14', '10', '3', '1', '0', '0', '0');";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth','Date of Birth', '14', '10', '13', '1', '0', '0', '0');";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',3,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',13,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',13,1,1,0,0);";
				$db->setQuery($sql);
				$result = $db->queryBatch();
			}elseif(($version->configvalue == '1085') || ($version->configvalue == '1086'))	{
				$sql = "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',3,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',13,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
				$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',13,1,1,0,0);";
				$db->setQuery($sql);
				$result = $db->queryBatch();
			}

            $db->setQuery($filtersquery);
            if ( $result = $db->queryBatch()) echo JText::_('Filters Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Filters data.</font><br>');

            $db->setQuery($educationquery);
            if ( $result = $db->queryBatch()) echo JText::_('Heighest Education Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Heighest Education data.</font><br>');

            $db->setQuery($resumesearchquery);
            if ( $result = $db->queryBatch()) echo JText::_('Resume Searches Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Resume Searches data.</font><br>');

            $db->setQuery($rolesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Roles Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Roles data.</font><br>');

            $db->setQuery($userfieldsquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Fields Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Fields data.</font><br>');

            $db->setQuery($userfieldvaluequery);
            if ( $result = $db->queryBatch()) echo JText::_('User Field Values Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Field Values data.</font><br>');

            $db->setQuery($userfielddataquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Field Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Field data.</font><br>');

            $db->setQuery($userrolesquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Roles Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Roles data.</font><br>');

            $db->setQuery($agessquery);
            if ( $result = $db->queryBatch()) echo JText::_('Ages Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Ages data.</font><br>');

            $db->setQuery($careerleversquery);
            if ( $result = $db->queryBatch()) echo JText::_('Career Levels Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Career Levels data.</font><br>');

            $db->setQuery($experiencesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Experiences Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Experiences data.</font><br>');

            $db->setQuery($employerpackagesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Employer Packages Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Employer Packages data.</font><br>');

            $db->setQuery($employerpaymenthistoryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Employer Payment History Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Employer Payment History data.</font><br>');

            $db->setQuery($jobseekerpackagesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Seeker Packages Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Seeker Packages data.</font><br>');

            $db->setQuery($jobseekerpaymenthistoryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Seeker Payment History Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Seeker Payment History data.</font><br>');

            $db->setQuery($departmentsquery);
            if ( $result = $db->queryBatch()) echo JText::_('Departments Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Departments data.</font><br>');

            $db->setQuery($shortlistcandidatesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Short List Candidates Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Short List Candidates data.</font><br>');

            $db->setQuery($countriesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Countries Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Countries data.</font><br>');

            $db->setQuery($statesquery);
            if ( $result = $db->queryBatch())	echo JText::_('States Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up States data.</font><br>');

            $db->setQuery($countiesquery);
            if ( $result = $db->queryBatch())	echo JText::_('Counties Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Counties data.</font><br>');

            $db->setQuery($citiesquery);
            if (! $result = $db->queryBatch()) echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Cities data.</font><br>');

            $db->setQuery($zipsquery);
            if (! $result = $db->queryBatch()) echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Zips data.</font><br>');


            $db->setQuery($subcategoriesquery);
            if (! $result = $db->queryBatch()) echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Sub Categories data.</font><br>');

			if(($version->configvalue == '107') || ($version->configvalue == '1071') || ($version->configvalue == '1072') || ($version->configvalue == '1073')			
				|| ($version->configvalue == '1074') || ($version->configvalue == '1075') || ($version->configvalue == '1076')){			
				$currenciesquery = getDefaultCurrenciesForUpdateSQL();
				$db->setQuery($currenciesquery);
				if (! $result = $db->queryBatch()) "<font color='red'>".JText::_('Error occurred while attempting to inserting default Currencies.</font><br>');
			
				$db->setQuery('UPDATE '.$db->nameQuote('#__js_job_jobs').' SET currencyid = 1');
				if (! $result = $db->query()) "<font color='red'>".JText::_('Error occurred while attempting to Job default Currencies.</font><br>');
			}else{
				$db->setQuery($currenciesquery);
				if (! $result = $db->queryBatch()) "<font color='red'>".JText::_('Error occurred while attempting to inserting default Currencies.</font><br>');
			}
           $clquery = setupSQLTransferCleanup();
            //echo '<br> clean '.$clquery;
            $db->setQuery($clquery);
            $db->queryBatch();

}
function bacupv106($version){
 	$db = &JFactory::getDBO();
           echo JText::_('Database backed up data found v1.0.6.x  ... Beginning transfer ...<br>');
                $query = 'SELECT * FROM '.$db->nameQuote('#__js_job_config_bak')." WHERE configname = 'versioncode'";
				$db->setQuery($query);
                $version = $db->loadObject();
            $configquery = 'INSERT INTO '.$db->nameQuote('#__js_job_config').' SELECT * FROM '.$db->nameQuote('#__js_job_config_bak').';';
			// insert extra configurations
            $catquery = 'INSERT INTO '.$db->nameQuote('#__js_job_categories').' SELECT * FROM '.$db->nameQuote('#__js_job_categories_bak').';';
            $salaryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_salaryrange').' SELECT * FROM '.$db->nameQuote('#__js_job_salaryrange_bak').';';
            $jobquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobs').' SELECT *,"",1,"" FROM '.$db->nameQuote('#__js_job_jobs_bak').';';
            $jobapplyquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobapply').' SELECT *,"",0 FROM '.$db->nameQuote('#__js_job_jobapply_bak').';';
            $jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT *,"","","","","","","","","","",1,0,"","","","" FROM '.$db->nameQuote('#__js_job_resume_bak').';';

            $countriesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_countries').' SELECT * FROM '.$db->nameQuote('#__js_job_countries_bak').';';
            $statesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_states').' SELECT * FROM '.$db->nameQuote('#__js_job_states_bak').';';
            $countiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_counties').' SELECT * FROM '.$db->nameQuote('#__js_job_counties_bak').';';
            $citiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_cities').' SELECT * FROM '.$db->nameQuote('#__js_job_cities_bak').';';
            $zipsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_zips').' SELECT * FROM '.$db->nameQuote('#__js_job_zips_bak').';';


            $companiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_companies').' SELECT * FROM '.$db->nameQuote('#__js_job_companies_bak').';';
            $jobsearchesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobsearches').' SELECT * FROM '.$db->nameQuote('#__js_job_jobsearches_bak').';';
            $jobstatusquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobstatus').' SELECT * FROM '.$db->nameQuote('#__js_job_jobstatus_bak').';';
            $jobtypequery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobtypes').' SELECT * FROM '.$db->nameQuote('#__js_job_jobtypes_bak').';';
            $jobtypequery2 = 'INSERT INTO '.$db->nameQuote('#__js_job_jobtypes').' (id, title, isactive, status) SELECT id, title, isactive, 1 FROM '.$db->nameQuote('#__js_job_jobtypes_bak').';';
            $shiftsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_shifts').' SELECT * FROM '.$db->nameQuote('#__js_job_shifts_bak').';';
            $shiftsquery2 = 'INSERT INTO  '.$db->nameQuote('#__js_job_shifts').' (id, title, isactive, status) SELECT id, title, isactive, 1 FROM '.$db->nameQuote('#__js_job_shifts_bak').';';
            $coverlettersquery = 'INSERT INTO '.$db->nameQuote('#__js_job_coverletters').' SELECT * FROM '.$db->nameQuote('#__js_job_coverletters_bak').';';
            $emailquery = 'INSERT INTO '.$db->nameQuote('#__js_job_emailtemplates').' SELECT * FROM '.$db->nameQuote('#__js_job_emailtemplates_bak').';';
            $fieldorderingquery = 'INSERT INTO '.$db->nameQuote('#__js_job_fieldsordering').' SELECT * FROM '.$db->nameQuote('#__js_job_fieldsordering_bak').';';


            $filtersquery = 'INSERT INTO '.$db->nameQuote('#__js_job_filters').' SELECT * FROM '.$db->nameQuote('#__js_job_filters_bak').';';
            $educationquery = 'INSERT INTO '.$db->nameQuote('#__js_job_heighesteducation').' SELECT * FROM '.$db->nameQuote('#__js_job_heighesteducation_bak').';';
            $resumesearchquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resumesearches').' SELECT * FROM '.$db->nameQuote('#__js_job_resumesearches_bak').';';
            //may delete it
            $rolesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_roles').' SELECT * FROM '.$db->nameQuote('#__js_job_roles_bak').';';
            $userfieldsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfields').' SELECT * FROM '.$db->nameQuote('#__js_job_userfields_bak').';';

            $agessquery = 'INSERT INTO '.$db->nameQuote('#__js_job_ages').' SELECT * FROM '.$db->nameQuote('#__js_job_ages_bak').';';
            $careerleversquery = 'INSERT INTO '.$db->nameQuote('#__js_job_careerlevels').' SELECT * FROM '.$db->nameQuote('#__js_job_careerlevels_bak').';';
            $experiencesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_experiences').' SELECT * FROM '.$db->nameQuote('#__js_job_experiences_bak').';';
            $salaryrangetypesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_salaryrangetypes').' SELECT * FROM '.$db->nameQuote('#__js_job_salaryrangetypes_bak').';';

            
			if(($version  == '106') || ($version  == '1061')){
				$employerpackagesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_employerpackages').' SELECT *,"","",0,0 FROM '.$db->nameQuote('#__js_job_employerpackages_bak').';';
				$jobseekerpackagesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobseekerpackages').' SELECT *,"","",1 FROM '.$db->nameQuote('#__js_job_jobseekerpackages_bak').';';
			}else{ // 1062 and +
				$employerpackagesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_employerpackages').' SELECT *,0,0 FROM '.$db->nameQuote('#__js_job_employerpackages_bak').';';
				$jobseekerpackagesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobseekerpackages').' SELECT *,1 FROM '.$db->nameQuote('#__js_job_jobseekerpackages_bak').';';
			}
            $employerpaymenthistoryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_employerpaymenthistory').' SELECT * FROM '.$db->nameQuote('#__js_job_employerpaymenthistory_bak').';';
            $jobseekerpaymenthistoryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobseekerpaymenthistory').' SELECT * FROM '.$db->nameQuote('#__js_job_jobseekerpaymenthistory_bak').';';


            $departmentsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_departments').' SELECT * FROM '.$db->nameQuote('#__js_job_departments_bak').';';
            $shortlistcandidatesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_shortlistcandidates').' SELECT * FROM '.$db->nameQuote('#__js_job_shortlistcandidates_bak').';';

            $userfieldvaluequery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfieldvalues').' SELECT * FROM '.$db->nameQuote('#__js_job_userfieldvalues_bak').';';
            $userfielddataquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfield_data').' SELECT * FROM '.$db->nameQuote('#__js_job_userfield_data_bak').';';
            //may delete it
            $userrolesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userroles').' SELECT * FROM '.$db->nameQuote('#__js_job_userroles_bak').';';
			
			$currenciesquery = getDefaultCurrenciesForUpdateSQL();

            $db->setQuery($configquery);
            if ( $result = $db->queryBatch()) echo JText::_('Configurations Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Configurations.</font><br>');

			$configupdate = getUpdateConfigSQL();
			$db->setQuery($configupdate);
			if ( $result = $db->queryBatch())
				echo JText::_('Configurations update successfully!<br>');
			else{
				echo "<font color='red'>".JText::_('Error occurred while attempting to update configurations.</font><br>');
				//return false;
			}

            $db->setQuery($catquery);
            if ( $result = $db->queryBatch()) echo JText::_('Categories Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Categories data.</font><br>');

            $db->setQuery($salaryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Salary Range Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Salary Range data.</font><br>');

            $db->setQuery($salaryrangetypesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Salary Range Types Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Salary Range Types data.</font><br>');

            $db->setQuery($jobquery);
            if ( $result = $db->queryBatch())	echo JText::_('Job Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job data.</font><br>');

            $db->setQuery($jobapplyquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Apply Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Apply data.</font><br>');

            $db->setQuery($jaquery);
            if ( $result = $db->queryBatch()) echo JText::_('Resume Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Resume data.</font><br>');

            $db->setQuery($companiesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Companies Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Companies data.</font><br>');

            $db->setQuery($jobsearchesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Searches Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Searches data.</font><br>');

            $db->setQuery($jobstatusquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Status Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Status data.</font><br>');

            $db->setQuery($jobtypequery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Types Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Types data.</font><br>');

            $db->setQuery($shiftsquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Shifts Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Shifts data.</font><br>');

            $db->setQuery($coverlettersquery);
            if ( $result = $db->queryBatch()) echo JText::_('Cover Letters Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Cover Letters data.</font><br>');

            $db->setQuery($emailquery);
            if ( $result = $db->queryBatch()) echo JText::_('Email Templates Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Email Templates data.</font><br>');
			$sql = "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (15,0,'message-email',NULL,'JS Jobs: New Message Alert','<p>Dear {NAME},</p><p>{SENDER_NAME}: send you new message.</p><p><strong><span >Summary</span></strong></p><p>Company Name: {COMPANY_NAME}</p><p>Job Title: {JOB_TITLE}</p><p>Resume Title: {RESUME_TITLE}</p>',NULL,'2011-03-31 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (16,0,'job-alert',NULL,'JS Jobs: New Job','<p>Dear {JOBSEEKER_NAME} , </p><p> We receive new job.</p><p> {JOBS_INFO}</p><p> Login and view detail at  Please do not respond to this message. It is automatically generated and is for information purposes only.</p>	',NULL,'2011-03-31 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (17,0,'job-alert-visitor',NULL,'JS Jobs: New Job By Visitor','<p>Dear {CONTACT_NAME} ,</p>\r\n<p>We receive new job.</p>\r\n<p>Title: {JOB_TITLE}</p>\r\n<p>Job Category: {JOB_CATEGORY}</p>\r\n<p>Company Name: {COMPANY_NAME}</p>\r\n<p>Status: {JOB_STATUS}</p>\r\n<p>Login and view detail at Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2011-03-31 16:46:16');";
            $db->setQuery($sql);
            if ( $result = $db->queryBatch()) echo JText::_('Email Templates installed successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to install new Email Templates data.</font><br>');

            $db->setQuery($fieldorderingquery);
            if ( $result = $db->queryBatch()) echo JText::_('Field Ordering Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Field Ordering data.</font><br>');
			$sql = "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`, `section` , `fieldfor`, `published`, `sys` , `cannotunpublish` , `required`) VALUES ('subcategory', 'Sub Category', '5', null, '2', '1', '1', '0', '0');";
			$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 3 AND ordering > 13;';
			$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 13 AND ordering > 13;';
			$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth', 'Date of Birth', '14', '10', '3', '1', '0', '0', '0');";
			$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',3,1,1,0,0);";
			$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
			$db->setQuery($sql);
			$result = $db->queryBatch();
				$updatefieldorderingvisitorquery = getUpdateFieldOrderingVisitorSQL();
				$db->setQuery($updatefieldorderingvisitorquery);
				if ( $result = $db->queryBatch())
					echo JText::_('Field Ordering update for visitor successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to update Field Ordering for visitor data.</font><br>');
			
            $db->setQuery($filtersquery);
            if ( $result = $db->queryBatch()) echo JText::_('Filters Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Filters data.</font><br>');

            $db->setQuery($educationquery);
            if ( $result = $db->queryBatch()) echo JText::_('Heighest Education Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Heighest Education data.</font><br>');

            $db->setQuery($resumesearchquery);
            if ( $result = $db->queryBatch()) echo JText::_('Resume Searches Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Resume Searches data.</font><br>');

            $db->setQuery($rolesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Roles Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Roles data.</font><br>');

            $db->setQuery($userfieldsquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Fields Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Fields data.</font><br>');

            $db->setQuery($userfieldvaluequery);
            if ( $result = $db->queryBatch()) echo JText::_('User Field Values Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Field Values data.</font><br>');

            $db->setQuery($userfielddataquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Field Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Field data.</font><br>');

            $db->setQuery($userrolesquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Roles Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Roles data.</font><br>');

            $db->setQuery($agessquery);
            if ( $result = $db->queryBatch()) echo JText::_('Ages Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Ages data.</font><br>');

            $db->setQuery($careerleversquery);
            if ( $result = $db->queryBatch()) echo JText::_('Career Levels Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Career Levels data.</font><br>');

            $db->setQuery($experiencesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Experiences Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Experiences data.</font><br>');

            $db->setQuery($employerpackagesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Employer Packages Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Employer Packages data.</font><br>');

            $db->setQuery($employerpaymenthistoryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Employer Payment History Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Employer Payment History data.</font><br>');

            $db->setQuery($jobseekerpackagesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Seeker Packages Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Seeker Packages data.</font><br>');

            $db->setQuery($jobseekerpaymenthistoryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Seeker Payment History Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Seeker Payment History data.</font><br>');

            $db->setQuery($departmentsquery);
            if ( $result = $db->queryBatch()) echo JText::_('Departments Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Departments data.</font><br>');

            $db->setQuery($shortlistcandidatesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Short List Candidates Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Short List Candidates data.</font><br>');

            $db->setQuery($countriesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Countries Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Countries data.</font><br>');

            $db->setQuery($statesquery);
            if ( $result = $db->queryBatch())	echo JText::_('States Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up States data.</font><br>');

            $db->setQuery($countiesquery);
            if ( $result = $db->queryBatch())	echo JText::_('Counties Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Counties data.</font><br>');

            $db->setQuery($citiesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Cities Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Cities data.</font><br>');

            $db->setQuery($zipsquery);
            if ( $result = $db->queryBatch())	echo JText::_('Zips Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Zips data.</font><br>');


			$db->setQuery($currenciesquery);
			if (! $result = $db->queryBatch()) "<font color='red'>".JText::_('Error occurred while attempting to inserting default Currencies.</font><br>');

   			$db->setQuery('UPDATE '.$db->nameQuote('#__js_job_jobs').' SET currencyid = 1');
			if (! $result = $db->query()) "<font color='red'>".JText::_('Error occurred while attempting to Job default Currencies.</font><br>');

         $clquery = setupSQLTransferCleanup();
            //echo '<br> clean '.$clquery;
            $db->setQuery($clquery);
            $db->queryBatch();

}
function bacupv105()
{
 	$db = &JFactory::getDBO();
           $str=JPATH_BASE;
            $base = substr($str, 0,strlen($str)-14); //remove administrator
			$newpath =$base.'/jsjobsdata';
			if (!file_exists($newpath)){ // create jsjobsdata directory
				mkdir($newpath, 0755);
			}
			$newpath =$base.'/jsjobsdata/data';
			if (!file_exists($newpath)){ // create data directory
				mkdir($newpath, 0755);
			}
            $newpath =$base.'/jsjobsdata/data/';
            $path =$base.'/components/jsjobs_data_bak';
            if (file_exists($path)){
                    full_copy($path, $newpath);
                    echo '<br>Resume Directory Retrieved<br> ';
                    rmdir_r($path,1);
            }
            echo JText::_('Database backed up data found v1.0.5.x  ... Beginning transfer ...<br>');
            $configquery = getDefaultConfigSQL();
            
            $catquery = 'INSERT INTO '.$db->nameQuote('#__js_job_categories').' SELECT * FROM '.$db->nameQuote('#__js_job_categories_bak').';';
            $salaryquery = 'INSERT INTO '.$db->nameQuote('#__js_job_salaryrange').' SELECT * FROM '.$db->nameQuote('#__js_job_salaryrange_bak').';';
            $jobquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobs')." SELECT job.*,2,job.heighestfinisheducation,0,0,1,'',0,1,0,0,0,1,'','',0,0,0,job.jobsalaryrange,0,0,0,0,urole.role,urole.id,'',1,'' FROM ".$db->nameQuote('#__js_job_jobs_bak').'AS job JOIN '.$db->nameQuote('#__js_job_userroles_bak').' AS urole ON urole.uid = job.uid GROUP BY job.id, urole.role;';

            $jobapplyquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobapply').' SELECT *,1,"",0 FROM '.$db->nameQuote('#__js_job_jobapply_bak').';';
            $jaquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resume').' SELECT resume.*,urole.role,urole.id,"","","","","","","","","","",1,0,"","","","" FROM '.$db->nameQuote('#__js_job_resume_bak').' AS resume JOIN '.$db->nameQuote('#__js_job_userroles_bak').' AS urole ON urole.uid = resume.uid GROUP BY resume.id, urole.role;';
                
            $countriesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_countries').' SELECT * FROM '.$db->nameQuote('#__js_job_countries_bak').';';
            $statesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_states').' SELECT * FROM '.$db->nameQuote('#__js_job_states_bak').';';
            $countiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_counties').' SELECT * FROM '.$db->nameQuote('#__js_job_counties_bak').';';
            $citiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_cities').' SELECT * FROM '.$db->nameQuote('#__js_job_cities_bak').';';
            $zipsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_zips').' SELECT * FROM '.$db->nameQuote('#__js_job_zips_bak').';';

            $companiesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_companies').' SELECT company.*,urole.role,urole.id FROM '.$db->nameQuote('#__js_job_companies_bak').' AS company JOIN '.$db->nameQuote('#__js_job_userroles_bak').' AS urole ON urole.uid = company.uid GROUP BY company.id, urole.role;';


            
            $jobsearchesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobsearches').' SELECT * FROM '.$db->nameQuote('#__js_job_jobsearches_bak').';';
            $jobstatusquery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobstatus').' SELECT * FROM '.$db->nameQuote('#__js_job_jobstatus_bak').';';
            $jobtypequery = 'INSERT INTO '.$db->nameQuote('#__js_job_jobtypes').' SELECT * FROM '.$db->nameQuote('#__js_job_jobtypes_bak').';';
			$jobtypequery2 = 'INSERT INTO '.$db->nameQuote('#__js_job_jobtypes').' (id, title, isactive, status) SELECT id, title, isactive, 1 FROM '.$db->nameQuote('#__js_job_jobtypes_bak').';';
            $shiftsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_shifts').' SELECT * FROM '.$db->nameQuote('#__js_job_shifts_bak').';';
			$shiftsquery2 = 'INSERT INTO  '.$db->nameQuote('#__js_job_shifts').' (id, title, isactive, status) SELECT id, title, isactive, 1 FROM '.$db->nameQuote('#__js_job_shifts_bak').';';
            $coverlettersquery = 'INSERT INTO '.$db->nameQuote('#__js_job_coverletters').' SELECT cletter.*,urole.role,urole.id FROM '.$db->nameQuote('#__js_job_coverletters_bak').' AS cletter JOIN '.$db->nameQuote('#__js_job_userroles_bak').' AS urole ON urole.uid = cletter.uid GROUP BY cletter.id, urole.role;';
            $emailquery = 'INSERT INTO '.$db->nameQuote('#__js_job_emailtemplates').' SELECT * FROM '.$db->nameQuote('#__js_job_emailtemplates_bak').';';
            $fieldorderingquery = 'INSERT INTO '.$db->nameQuote('#__js_job_fieldsordering').' SELECT *,0 FROM '.$db->nameQuote('#__js_job_fieldsordering_bak').';';

            $employerpackagesquery = "INSERT INTO ".$db->nameQuote('#__js_job_employerpackages')." SELECT id,title,0,0,0,'','','',companies,jobs,-1,searchresume,savesearchresume,0,0,CURDATE(),0,0,1,'Free Package','Free Package',published,1,1,10000,0,0,0,0,0,0,0,'','',0,0 FROM ".$db->nameQuote('#__js_job_roles_bak')." WHERE rolefor = 1;";
            $jobseekerpackagesquery = "INSERT INTO ".$db->nameQuote('#__js_job_jobseekerpackages')." SELECT id,title,0,0,0,'','','',resumes,coverletters,-1,searchjob,savesearchjob,0,0,1,10000,'Free Package','Free Package',published,CURDATE(),0,0,'','',1 FROM ".$db->nameQuote('#__js_job_roles_bak')." WHERE rolefor = 2;";

            $employerpaymenthistoryquery = "INSERT INTO ".$db->nameQuote('#__js_job_employerpaymenthistory')." (id,uid,packageid,paidamount,STATUS,created,transactionverified,transactionautoverified,verifieddate)
                                        SELECT urole.id,urole.uid,urole.role,0,1,urole.dated,1,1,urole.dated FROM ".$db->nameQuote('#__js_job_userroles_bak')." AS urole JOIN ".$db->nameQuote('#__js_job_roles_bak')." AS role ON role.id = urole.role WHERE role.rolefor = 1;";
            $jobseekerpaymenthistoryquery = "INSERT INTO ".$db->nameQuote('#__js_job_jobseekerpaymenthistory')." (id,uid,packageid,paidamount,STATUS,created,transactionverified,transactionautoverified,verifieddate)
                                        SELECT urole.id,urole.uid,urole.role,0,1,urole.dated,1,1,urole.dated FROM ".$db->nameQuote('#__js_job_userroles_bak')." AS urole JOIN ".$db->nameQuote('#__js_job_roles_bak')." AS role ON role.id = urole.role WHERE role.rolefor = 2;";

            $filtersquery = 'INSERT INTO '.$db->nameQuote('#__js_job_filters').' SELECT * FROM '.$db->nameQuote('#__js_job_filters_bak').';';
            $educationquery = 'INSERT INTO '.$db->nameQuote('#__js_job_heighesteducation').' SELECT * FROM '.$db->nameQuote('#__js_job_heighesteducation_bak').';';
            $resumesearchquery = 'INSERT INTO '.$db->nameQuote('#__js_job_resumesearches').' SELECT * FROM '.$db->nameQuote('#__js_job_resumesearches_bak').';';
            
			//may no need
            //$rolesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_roles').' SELECT * FROM '.$db->nameQuote('#__js_job_roles_bak').';';
			$rolesquery = getDefaultRoleSQL();
            
            $userfieldsquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfields').' SELECT * FROM '.$db->nameQuote('#__js_job_userfields_bak').';';

            $userfieldvaluequery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfieldvalues').' SELECT * FROM '.$db->nameQuote('#__js_job_userfieldvalues_bak').';';
            $userfielddataquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userfield_data').' SELECT * FROM '.$db->nameQuote('#__js_job_userfield_data_bak').';';
            $userrolesquery = 'INSERT INTO '.$db->nameQuote('#__js_job_userroles').' SELECT * FROM '.$db->nameQuote('#__js_job_userroles_bak').';';
			
			$currenciesquery = getDefaultCurrenciesForUpdateSQL();

                $salaryrangetypequery = getDefaultSalaryRangeTypesSQL();
                $agequery = getDefaultAgesSQL();
                $careerlevelquery = getDefaultCareerLevelsSQL();
                $experiencequery = getDefaultExperiencesSQL();

                $db->setQuery($salaryrangetypequery);
                if ( $result = $db->queryBatch()) echo JText::_('Deault Salary Range Types data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Salary Range Types data.</font><br>');

                $db->setQuery($agequery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Ages data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Ages data.</font><br>');

                $db->setQuery($careerlevelquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Career Levels data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Career Levels data.</font><br>');

                $db->setQuery($experiencequery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Experiences data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Experiences data.</font><br>');

                $db->setQuery($employerpackagesquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Employer Packages data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Employer Packages data.</font><br>');

                $db->setQuery($jobseekerpackagesquery);
                if ( $result = $db->queryBatch())	echo JText::_('Deault Job Seeker Packages data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Job Seeker Packages data.</font><br>');

                $db->setQuery($employerpaymenthistoryquery);
                if ( $result = $db->queryBatch())	echo JText::_('Employer Payment data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Employer Payment data.</font><br>');

                $db->setQuery($jobseekerpaymenthistoryquery);
                if ( $result = $db->queryBatch())	echo JText::_('Job Seeker Payment data insert successfully!<br>');
                else echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Job Seeker Payment data.</font><br>');

	            //$db->setQuery($configquery);
				//	echo '<br> config package '.$configquery;
	            //if ( $result = $db->queryBatch()) echo JText::_('Configurations Retrieved backed up data successfully!<br>');

	            //else{
                    $configquery = getDefaultConfigSQL();
                    $db->setQuery($configquery);
                    if ( $result = $db->queryBatch())
                            echo JText::_('Deault Configurations insert successfully!<br>');
                    else{
                            echo "<font color='red'>".JText::_('Error occurred while attempting to inserting default Configurations.</font><br>');
                    }
				//}

            //$configupdate = getUpdateConfigSQL();
            //$db->setQuery($configupdate);
            //if ( $result = $db->queryBatch())
            //        echo JText::_('Configurations update successfully!<br>');
            //else{
            //        echo "<font color='red'>".JText::_('Error occurred while attempting to update configurations.</font><br>');
                    //return false;
            //}

            $db->setQuery($catquery);
            if ( $result = $db->queryBatch()) echo JText::_('Categories Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Categories data.</font><br>');

            $db->setQuery($salaryquery);
            if ( $result = $db->queryBatch()) echo JText::_('Salary Range Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Salary Range data.</font><br>');

            $db->setQuery($jobquery);
            if ( $result = $db->queryBatch())	echo JText::_('Job Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job data.</font><br>');

            $db->setQuery($jobapplyquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Apply Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Apply data.</font><br>');


            $db->setQuery($jaquery);
            if ( $result = $db->queryBatch()) echo JText::_('Resume Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Resume data.</font><br>');

            $db->setQuery($companiesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Companies Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Companies data.</font><br>');

            $db->setQuery($jobsearchesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Searches Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Searches data.</font><br>');

            $db->setQuery($jobstatusquery);
            if ( $result = $db->queryBatch()) echo JText::_('Job Status Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Status data.</font><br>');

			$db->setQuery($jobtypequery);
			if ( $result = $db->queryBatch()) {
				echo JText::_('Job Types Retrieved backed up data successfully!<br>');
			}else {
				$db->setQuery($jobtypequery2);
				if ( $result = $db->queryBatch()) echo JText::_('Job Types Retrieved backed up data successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Types data.</font><br>');
			}
            
			$db->setQuery($shiftsquery);
			if ( $result = $db->queryBatch()) {
				echo JText::_('Job Shifts Retrieved backed up data successfully!<br>');
			}else {
				$db->setQuery($shiftsquery2);
				if ( $result = $db->queryBatch()) echo JText::_('Job Shifts Retrieved backed up data successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Job Shifts data.</font><br>');
			}	

            $db->setQuery($coverlettersquery);
            if ( $result = $db->queryBatch()) echo JText::_('Cover Letters Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Cover Letters data.</font><br>');

            $db->setQuery($emailquery);
            if ( $result = $db->queryBatch()) echo JText::_('Email Templates Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Email Templates data.</font><br>');

			$sql = "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (9,0,'company-new',NULL,'JS Jobs : New Company {COMPANY_NAME} has beed received','<p>Hello Admin , </p><p> We receive new company.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (10,0,'job-new',NULL,'JS Jobs : New Job {JOB_TITLE} has beed received','<p>Hello Admin , </p><p> We receive new job.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (11,0,'resume-new',NULL,'JS Jobs :  New resume {RESUME_TITLE} has beed received','<p>Hello Admin , </p><p> We receive new resume.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (12,0,'department-new',NULL,'JS Jobs : New Department {DEPARTMENT_NAME} {COMPANY_NAME} has beed received','<p>Hello Admin , </p><p> We receive new department.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (13,0,'employer-buypackage',NULL,'JS Jobs : Employer Buy Package {PACKAGE_NAME}','<p>Hello Admin , </p><p> Employer buy a package.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (14,0,'jobseeker-buypackage',NULL,'JS Jobs : Jobseeker Buy Package {PACKAGE_NAME}','<p>Hello Admin , </p><p> Job Seeker buy package.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (15,0,'message-email',NULL,'JS Jobs: New Message Alert','<p>Dear {NAME},</p><p>{SENDER_NAME}: send you new message.</p><p><strong><span >Summary</span></strong></p><p>Company Name: {COMPANY_NAME}</p><p>Job Title: {JOB_TITLE}</p><p>Resume Title: {RESUME_TITLE}</p>',NULL,'2011-03-31 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (16,0,'job-alert',NULL,'JS Jobs: New Job','<p>Dear {JOBSEEKER_NAME} , </p><p> We receive new job.</p><p> {JOBS_INFO}</p><p> Login and view detail at  Please do not respond to this message. It is automatically generated and is for information purposes only.</p>	',NULL,'2011-03-31 16:46:16');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (17,0,'job-alert-visitor',NULL,'JS Jobs: New Job By Visitor','<p>Dear {CONTACT_NAME} ,</p>\r\n<p>We receive new job.</p>\r\n<p>Title: {JOB_TITLE}</p>\r\n<p>Job Category: {JOB_CATEGORY}</p>\r\n<p>Company Name: {COMPANY_NAME}</p>\r\n<p>Status: {JOB_STATUS}</p>\r\n<p>Login and view detail at Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2011-03-31 16:46:16');";
            $db->setQuery($sql);
            if ( $result = $db->queryBatch()) echo JText::_('Email Templates installed successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to install new Email Templates data.</font><br>');

            $db->setQuery($fieldorderingquery);
            if ( $result = $db->queryBatch()) echo JText::_('Field Ordering Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Field Ordering data.</font><br>');

			$sql = "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('department', 'Department', '3', null, '2', '1', '1', '0', '1');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('gender', 'Gender', '7', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('age', 'Age', '8', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('careerlevel', 'Career Level', '15', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('workpermit', 'Work Permit', '16', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('requiredtravel', 'Required Travel', '17', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('video', 'Video', '18', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('map', 'Map', '19', null, '2', '1', '1', '0', '1');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('sendmeresume', 'Send me Resume', '28', null, '2', '1', '1', '0', '0');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('agreement', 'Agreement', '32', null, '2', '1', '1', '0', '1');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('metadescription', 'Meta Description', '33', null, '2', '1', '1', '0', '1');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('metakeywords', 'Meta Keywords', '34', null, '2', '1', '1', '0', '1');";
			$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_fieldsordering')." (field,fieldtitle,ordering,section,fieldfor,published,sys,cannotunpublish,required) VALUES ('searchable', 'Searchable', '12', '10', '3', '1', '1', '0', '0');";
			$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 3 AND ordering > 13;';
			$sql .= 'UPDATE '.$db->nameQuote('#__js_job_fieldsordering').' SET ordering = ordering + 1 WHERE fieldfor = 13 AND ordering > 13;';
			$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth', 'Date of Birth', '14', '10', '3', '1', '0', '0', '0');";
			$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',3,1,1,0,0);";
			$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
            $db->setQuery($sql);
            if ( $result = $db->queryBatch()) echo JText::_('New Field Ordering installed successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to install new Field Ordering data.</font><br>');

				$updatefieldorderingvisitorquery = getUpdateFieldOrderingVisitorSQL();
				$db->setQuery($updatefieldorderingvisitorquery);
				if ( $result = $db->queryBatch())
					echo JText::_('Field Ordering update for visitor successfully!<br>');
				else echo "<font color='red'>".JText::_('Error occurred while attempting to update Field Ordering for visitor data.</font><br>');

            $db->setQuery($filtersquery);
            if ( $result = $db->queryBatch()) echo JText::_('Filters Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Filters data.</font><br>');

            $db->setQuery($educationquery);
            if ( $result = $db->queryBatch()) echo JText::_('Heighest Education Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Heighest Education data.</font><br>');

            $db->setQuery($resumesearchquery);
            if ( $result = $db->queryBatch()) echo JText::_('Resume Searches Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Resume Searches data.</font><br>');

            $db->setQuery($rolesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Roles Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Roles data.</font><br>');

            $db->setQuery($userfieldsquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Fields Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Fields data.</font><br>');

            $db->setQuery($userfieldvaluequery);
            if ( $result = $db->queryBatch()) echo JText::_('User Field Values Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Field Values data.</font><br>');

            $db->setQuery($userfielddataquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Field Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Field data.</font><br>');

            $db->setQuery($userrolesquery);
            if ( $result = $db->queryBatch()) echo JText::_('User Roles Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up User Roles data.</font><br>');


            $db->setQuery($countriesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Countries Retrieved backed up data successfully!<br>');
            else echo JText::_('Error occurred while attempting to transfer backed up Countries data.<br>');

            $db->setQuery($statesquery);
            if ( $result = $db->queryBatch())	echo JText::_('States Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up States data.</font><br>');

            $db->setQuery($countiesquery);
            if ( $result = $db->queryBatch())	echo JText::_('Counties Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Counties data.</font><br>');

            $db->setQuery($citiesquery);
            if ( $result = $db->queryBatch()) echo JText::_('Cities Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Cities data.</font><br>');

            $db->setQuery($zipsquery);
            if ( $result = $db->queryBatch())	echo JText::_('Zips Retrieved backed up data successfully!<br>');
            else echo "<font color='red'>".JText::_('Error occurred while attempting to transfer backed up Zips data.</font><br>');

			$db->setQuery($currenciesquery);
			if (! $result = $db->queryBatch()) "<font color='red'>".JText::_('Error occurred while attempting to inserting default Currencies.</font><br>');

  			$db->setQuery('UPDATE '.$db->nameQuote('#__js_job_jobs').' SET currencyid = 1');
			if (! $result = $db->query()) "<font color='red'>".JText::_('Error occurred while attempting to Job default Currencies.</font><br>');

          $clquery = setupSQLTransferCleanup();
            //echo '<br> clean '.$clquery;
            $db->setQuery($clquery);
            $db->queryBatch();

}



function setupSQLTransferCleanup()
{
	$db = &JFactory::getDBO();
	$sql = 'DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_ages_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_careerlevels_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_experiences_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_departments_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_shortlistcandidates_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_employerpackages_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_employerpaymenthistory_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobseekerpackages_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobseekerpaymenthistory_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_salaryrangetypes_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobs_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_categories_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_salaryrange_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobapply_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_userallow_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_resume_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_countries_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_states_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_counties_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_cities_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_zips_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_config_bak').';';

	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_companies_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobsearches_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobstatus_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_jobtypes_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_shifts_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_coverletters_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_emailtemplates_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_fieldsordering_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_filters_bak').';';

	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_heighesteducation_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_resumesearches_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_roles_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_userfields_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_userfieldvalues_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_userfield_data_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_userroles_bak').';';
	
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_subcategories_bak').';';
	$sql .= ' DROP TABLE IF EXISTS '.$db->nameQuote('#__js_job_currencies_bak').';';
	return $sql;
}





function getDefaultConfigSQL() {
	$db = &JFactory::getDBO();

    $sql = "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('companyautoapprove','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_city','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_county','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_editor','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_state','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_zipcode','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('currency','$','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('cur_location','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('defaultcountry','PK','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('defaultempallow','1','defaultallow');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('defaultjoballow','0','defaultallow');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('empautoapprove','0','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employerdefaultrole','1','notuse');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobautoapprove','0','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobseekerdefaultrole','2','notuse');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('job_editor','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mailfromaddress','sender@joomshark.com','email');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mailfromname','JS Jobs','email');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('newdays','7','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeaddress','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeeducation','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeedu_gradeschool','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeedu_highschool','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeedu_otherchool','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeedu_university','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeemployer','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_1','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_2','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_3','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_recent','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumereference','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumereference1','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumereference2','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumereference3','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeskill','1','resume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_durration','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_experience','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_heighesteducation','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_salaryrange','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_shift','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_showsave','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_startpublishing','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_stoppublishing','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_companysite','1','searchjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_available','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_experience','1','searchresume');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('actk', '1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_gender','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_heighesteducation','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_name','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_nationality','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_salaryrange','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_showsave','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_title','1','searchresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('showemployerlink','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('theme','graywhite/css/jsjobsgraywhite.css','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('title','JS JOBS','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('data_directory', 'jsjobsdata', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('version','1.0.8.7',NULL);";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('versioncode', '1087',NULL);";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('versiontype', 'free',NULL);";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address', '1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('refercode', '0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_fields_width', '130','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_category', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_jobtype', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_heighesteducation', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_salaryrange', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('fr_cr_txa', '<img src=\"components/com_jsjobs/images/jsjobs_logo_small.png\" width=\"65\">&nbsp;&nbsp;&nbsp;Powered by <a href=\"http://www.joomsky.com\" target=\"_blank\">Joom Sky</a>','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('fr_cr_txsh', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('fr_cr_txb', '<br>&copy;Copyright 2008 - 2011, <a href=\"http://www.burujsolutions.com\" target=\"_blank\">Buruj Solutions </a> ','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('backuponuninstall', '1',NULL);";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('company_logofilezize', '50','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_photofilesize', '50','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('offline', '0','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('offline_text', 'JS Jobs is down for maintenance.<br /> Please check back again soon.','default');";

  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_multicompanies','0','payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_title','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_category','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_jobtype','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_jobstatus','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_company','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_companysite','0','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_country','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_state','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_county','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_city','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_salary','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_created','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_noofjobs','1','listjob');";

  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_title','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_category','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_jobtype','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_jobstatus','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_company','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_companysite','0','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_country','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_state','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_county','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_city','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_salary','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_created','1','listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_noofjobs','1','listjob');";
	
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_controlpanel', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_packages', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_viewpackage', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_jobcat', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_listjob', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_newestjobs', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_jobsearch', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_jobsearchresult', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_viewresume', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_conrolpanel', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_packages', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_viewpackage', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_resumesearch', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_resumesearchresult', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_viewcompany', '1','default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_viewjob', '1','default');";

  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_title','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_category','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_type','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_status','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_company','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_country','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_state','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_county','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_city','1','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_zipcode','0','searchjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_category','1','searchresume');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_type','1','searchresume');";

    $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('featuredjob_autoapprove', '1', 'featuredjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('goldjob_autoapprove', '1', 'goldjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('featuredcompany_autoapprove', '1', 'featuredcompany');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('goldcompany_autoapprove', '1', 'goldcompany');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('featuredresume_autoapprove', '1', 'featuredresume');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('goldresume_autoapprove', '1', 'goldresume');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_method', 'paypal', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_shopingurl', '', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_successefulurl', '', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_cancelurl', '', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_paypalaccount', '', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_showdescription', '1', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_description', 'Description', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_showfooter', '1', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_currency', 'USD', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_authtoken', '', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_test_mode', '0', 'payment');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employer_defaultpackage', '1', 'package');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobseeker_defaultpackage', '1', 'package');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('date_format', 'd-m-Y', 'default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('adminemailaddress', '', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_new_company', '1', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_new_job', '1', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_new_resume', '1', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_job_apply', '1', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_new_department', '1', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_employer_package_purchase', '1', 'email');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('email_admin_jobseeker_package_purchase', '1', 'email');";
  	
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('onlyonce_employer_getfreepackage', '1', 'package');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('onlyonce_jobseeker_getfreepackage', '1', 'package');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employer_freepackage_autoapprove', '1', 'package');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobseeker_freepackage_autoapprove', '1', 'package');";
  	
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategories', '1', 'listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategories_all', '1', 'listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategories_colsperrow', '3', 'listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategoeis_max_hight', '250', 'listjob');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('categories_colsperrow', '3', 'default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('message_auto_approve', '1', 'messages');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('conflict_message_auto_approve', '0', 'messages');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('overwrite_jobalert_settings', '1', 'default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_can_apply_to_job', '0', 'default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_show_login_message', '1', 'default');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('folder_auto_approve', '1', 'folder');";
  	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('department_auto_approve', '1', 'department');";

	
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('formcompany', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mycompanies', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('formjob', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('myjobs', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('formdepartment', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mydepartment', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('empmessages', '0', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('alljobsappliedapplications', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumesearch', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('my_resumesearches', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('packages', '0', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('purchasehistory', '0', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('my_stats', '1', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('myfolders', '0', 'emcontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('formresume', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('myresumes', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('formcoverletter', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mycoverletters', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jspackages', '0', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jspurchasehistory', '0', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobalertsetting', '0', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobcat', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('listnewestjobs', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('myappliedjobs', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobsearch', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('my_jobsearches', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jsmy_stats', '1', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jsmessages', '0', 'jscontrolpanel');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emcontrolpanel', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewcompany', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewjob', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emmyjobs', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emmycompanies', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emappliedresume', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewdepartment', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewfolder', '0', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jscontrolpanel', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsjobcategory', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jssearchjob', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsnewestjob', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsmyresume', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsaddresume', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('login_redirect', '', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsaddcoverletter', '1', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('hidecountry', '0', 'default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobalert_auto_approve', '1', 'jobalert');";

	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('pagseguro_email', '1', 'payment');";

	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_description','1','listjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_description','1','listjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_shortdescriptionlenght','200','listjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_joblistingstyle','july2011','listjob');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_style','july2011','searchresume');";
	
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_country','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_state','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_county','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_city','1','default');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('testing_mode','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_style','tabular','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('api_primary','a2d09c7d76fced01f8be4b1f4cce8bec','api');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('api_secondary','','api');";


 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_subcategory','1','searchjob');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_subcategory','1','searchresume');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_show_url','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employerview_js_controlpanel','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_keywords','1','searchjob');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emformjob','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emresumesearch','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmycompanies','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emalljobsappliedapplications','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emformcompany','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emappliedresume','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emmycompanies','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emmyjobs','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emnewjob','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emcontrolpanel','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmy_resumesearches','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmyjobs','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_empackages','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emformdepartment','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_empurchasehistory','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmydepartment','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmy_stats','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmessages','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmyfolders','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jscontrolpanel','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jsjobcategory','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jsnewestjob','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jsmyresume','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsformresume','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsjobcat','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmyresumes','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jslistnewestjobs','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsformcoverletter','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmyappliedjobs','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmycoverletters','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jspackages','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmy_jobsearches','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jspurchasehistory','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsjobsearch','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmy_stats','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsjobalertsetting','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmessages','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jssearchjob','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_title','Jobs RSS','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_description','Job RSS Show the Latest Jobs On Our Sites','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_categories','1','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_image','1','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_categories','1','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_image','1','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_title','Resume RSS','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_description','Resume RSS Show the Latest Resume On Our Sites','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_ttl','12','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_copyright','Copyright 2009-2012','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_webmaster','admin@domain.com','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_editor','admin@domain.com','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_copyright','','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_webmaster','','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_editor','','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_ttl','','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_file','1','rss');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_can_post_job','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_can_edit_job','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('job_captcha','1','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_captcha','1','default');";

 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('job_rss','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_rss','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('empresume_rss','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jsjob_rss','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_resume_rss','0','default');";
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_job_rss','0','default');";

 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('default_longitude','74.3833333','default'),('default_latitude','31.5166667','default'),('search_job_coordinates','1','searchjob'),('vis_emresumebycategory','1','default'),('noofgoldjobsinlisting','3','default'),('nooffeaturedjobsinlisting','2','default'),('showgoldjobsinnewestjobs','1','default'),('showfeaturedjobsinnewestjobs','1','default'),('showgoldjobsinlistjobs','1','default'),('showfeaturedjobsinlistjobs','1','default'),('googleadsenseclient','ca-pub-8827762976015158','default'),('googleadsenseslot','9560237528','default'),('googleadsensewidth','717','default'),('googleadsenseheight','90','default'),('googleadsensecustomcss','','default'),('googleadsenseshowafter','4','default'),('googleadsenseshowinnewestjobs','0','default'),('googleadsenseshowinlistjobs','0','default'),('cron_job_alert_key','','default'),('empexpire_package_message','1','emcontrolpanel'),('jsexpire_package_message','1','jscontrolpanel'),('filter_map','1','default'),('emresumebycategory','1','emcontrolpanel'),('defaultradius','2','default');"; 	
 	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_map_fields_width','140','default'),('filter_cat_jobtype_fields_width','140','default'),('mapwidth','500','default'),('mapheight','200','default'),('comp_name','1','default'),('comp_email_address','1','default'),('filter_sub_category','1','default'),('topimage','1','default'),('labelinlisting','1','default'),('jsregister','0','jscontrolpanel'),('vis_jsregister','0','default'),('empregister','0','emcontrolpanel'),('vis_emempregister','0','default');"; 	
    return $sql;
}
function getUpdateConfigSQL() {
	$db = &JFactory::getDBO();

    $sql = "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('companyautoapprove','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_city','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_county','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_editor','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('empautoapprove','0','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employerdefaultrole','1','notuse');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobautoapprove','0','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobseekerdefaultrole','2','notuse');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('job_editor','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mailfromaddress','sender@joomshark.com','email');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('mailfromname','JS Jobs','email');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('newdays','7','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeedu_university','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeemployer','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_1','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_2','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_3','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumeem_recent','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resumereference','1','resume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_durration','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_experience','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_heighesteducation','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_salaryrange','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_shift','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_showsave','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_startpublishing','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_stoppublishing','1','searchjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_experience','1','searchresume');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('actk', '1','default');";
	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_gender','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_heighesteducation','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_name','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_nationality','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_salaryrange','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_showsave','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_title','1','searchresume');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('showemployerlink','1','default');";
	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('theme','graywhite/css/jsjobsgraywhite.css','default');";
	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('version','1.0.8.7',NULL);";
 	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('versioncode', '1087',NULL);";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('versiontype', 'free',NULL);";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address', '1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('refercode', '0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_fields_width', '130','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_category', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_jobtype', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_heighesteducation', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_salaryrange', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter', '1','default');";
  	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('fr_cr_txa', '<img src=\"components/com_jsjobs/images/jsjobs_logo_small.png\" width=\"65\">&nbsp;&nbsp;&nbsp;Powered by <a href=\"http://www.joomsky.com\" target=\"_blank\">Joom Sky</a>','default');";
  	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('fr_cr_txsh', '1','default');";
  	$sql .= "REPLACE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('fr_cr_txb', '<br>&copy;Copyright 2008 - 2010, <a href=\"http://www.burujsolutions.com\" target=\"_blank\">Buruj Solutions </a> ','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('backuponuninstall', '1',NULL);";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('offline', '0','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('offline_text', 'JS Jobs is down for maintenance.<br /> Please check back again soon.','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('payment_multicompanies','0','payment');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_title','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_category','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('adminemailaddress', '', 'email');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('onlyonce_employer_getfreepackage', '1', 'package');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('onlyonce_jobseeker_getfreepackage', '1', 'package');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employer_freepackage_autoapprove', '1', 'package');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobseeker_freepackage_autoapprove', '1', 'package');";
  	
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategories', '1', 'listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategories_all', '1', 'listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategories_colsperrow', '3', 'listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('subcategoeis_max_hight', '250', 'listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('categories_colsperrow', '3', 'default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('message_auto_approve', '1', 'messages');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('conflict_message_auto_approve', '0', 'messages');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('overwrite_jobalert_settings', '1', 'default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_can_apply_to_job', '0', 'default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_show_login_message', '1', 'default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('folder_auto_approve', '1', 'folder');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('department_auto_approve', '1', 'department');";
  	
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_title','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_category','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_jobtype','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_jobstatus','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_company','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_companysite','0','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_country','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_state','0','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_county','0','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_city','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_salary','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_created','1','listjob');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_noofjobs','1','listjob');";
	
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_controlpanel', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_packages', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_viewpackage', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_jobcat', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_listjob', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_newestjobs', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_jobsearch', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_jobsearchresult', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_js_viewresume', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_conrolpanel', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_packages', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_viewpackage', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_resumesearch', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_resumesearchresult', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_viewcompany', '1','default');";
  	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitorview_emp_viewjob', '1','default');";

	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('formcompany', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('mycompanies', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('formjob', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('myjobs', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('formdepartment', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('mydepartment', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('empmessages', '0', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('alljobsappliedapplications', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('resumesearch', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('my_resumesearches', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('packages', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('purchasehistory', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('my_stats', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('myfolders', '1', 'emcontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('formresume', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('myresumes', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('formcoverletter', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('mycoverletters', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jspackages', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jspurchasehistory', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jobalertsetting', '0', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jobcat', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('listnewestjobs', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('myappliedjobs', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jobsearch', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('my_jobsearches', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jsmy_stats', '1', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('jsmessages', '0', 'jscontrolpanel');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emcontrolpanel', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewcompany', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewjob', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emmyjobs', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emmycompanies', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emappliedresume', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewdepartment', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_emnewfolder', '0', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jscontrolpanel', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsjobcategory', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jssearchjob', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsnewestjob', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsmyresume', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsaddresume', '1', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('login_redirect', '', 'default');";
	$sql .= "INSERT IGNORE INTO".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_jsaddcoverletter', '1', 'default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('hidecountry', '0', 'default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jobalert_auto_approve', '1', 'jobalert');";

	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('pagseguro_email', '1', 'payment');";

	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_description','1','listjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_lj_description','1','listjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_shortdescriptionlenght','200','listjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('lj_joblistingstyle','july2011','listjob');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_style','july2011','searchresume');";

	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_country','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_state','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_county','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_address_city','1','default');";
	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('testing_mode','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_style','tabular','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('api_primary','a2d09c7d76fced01f8be4b1f4cce8bec','api');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('api_secondary','','api');";

 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_subcategory','1','searchjob');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_resume_subcategory','1','searchresume');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('comp_show_url','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('employerview_js_controlpanel','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('search_job_keywords','1','searchjob');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emformjob','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emresumesearch','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmycompanies','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emalljobsappliedapplications','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emformcompany','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emappliedresume','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emmycompanies','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emmyjobs','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emnewjob','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_emcontrolpanel','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmy_resumesearches','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmyjobs','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_empackages','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emformdepartment','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_empurchasehistory','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmydepartment','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmy_stats','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmessages','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_emmyfolders','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jscontrolpanel','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jsjobcategory','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jsnewestjob','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jsmyresume','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsformresume','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsjobcat','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmyresumes','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jslistnewestjobs','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsformcoverletter','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmyappliedjobs','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmycoverletters','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jspackages','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmy_jobsearches','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jspurchasehistory','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsjobsearch','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmy_stats','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsjobalertsetting','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_jsmessages','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('tmenu_vis_jssearchjob','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_title','Jobs RSS','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_description','Job RSS Show the Latest Jobs On Our Sites','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_categories','1','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_image','1','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_categories','1','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_image','1','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_title','Resume RSS','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_description','Resume RSS Show the Latest Resume On Our Sites','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_ttl','12','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_copyright','Copyright 2009-2012','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_webmaster','admin@domain.com','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_job_editor','admin@domain.com','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_copyright','','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_webmaster','','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_editor','','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_ttl','','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('rss_resume_file','1','rss');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_can_post_job','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('visitor_can_edit_job','0','default');";

 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('job_captcha','1','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_captcha','1','default');";

 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('job_rss','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('resume_rss','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('empresume_rss','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('jsjob_rss','0','default');";
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('vis_resume_rss','0','default');";

	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('default_longitude','74.3833333','default'),('default_latitude','31.5166667','default'),('search_job_coordinates','1','searchjob'),('vis_emresumebycategory','1','default'),('noofgoldjobsinlisting','3','default'),('nooffeaturedjobsinlisting','2','default'),('showgoldjobsinnewestjobs','1','default'),('showfeaturedjobsinnewestjobs','1','default'),('showgoldjobsinlistjobs','1','default'),('showfeaturedjobsinlistjobs','1','default'),('googleadsenseclient','ca-pub-8827762976015158','default'),('googleadsenseslot','9560237528','default'),('googleadsensewidth','717','default'),('googleadsenseheight','90','default'),('googleadsensecustomcss','','default'),('googleadsenseshowafter','4','default'),('googleadsenseshowinnewestjobs','0','default'),('googleadsenseshowinlistjobs','0','default'),('cron_job_alert_key','','default'),('empexpire_package_message','1','emcontrolpanel'),('jsexpire_package_message','1','jscontrolpanel'),('filter_map','1','default'),('defaultradius','2','default');"; 	
 	$sql .= "INSERT IGNORE INTO ".$db->nameQuote('#__js_job_config')." VALUES ('filter_map_fields_width','140','default'),('filter_cat_jobtype_fields_width','140','default'),('mapwidth','500','default'),('mapheight','200','default'),('comp_name','1','default'),('comp_email_address','1','default'),('filter_sub_category','1','default'),('topimage','1','default'),('labelinlisting','1','default'),('jsregister','0','jscontrolpanel'),('vis_jsregister','0','default'),('empregister','0','emcontrolpanel'),('vis_emempregister','0','default');"; 	

	return $sql;

}

function getDefaultCatSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Accounting/Finance');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Administrative');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Advertising');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Airlines/Avionics/Aerospace');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Architectural');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Automotive');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Banking/Finance');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Biotechnology');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Civil/Construction');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Engineering');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Cleared Jobs');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Communications');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Computer/IT');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Construction');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Consultant/Contractual');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Customer Service');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Defense');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Design');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Education');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Electrical Engineering');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Electronics Engineering');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Energy');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Engineering');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Environmental/Safety');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Fundraising');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Health/Medicine');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Homeland Security');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Human Resources');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Insurance');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Intelligence Jobs');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Internships/Trainees');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Legal');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Logistics/Transportation');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Maintenance');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Management');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Manufacturing/Warehouse');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Marketing');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Materials Management');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Mechanical Engineering');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Mortgage/Real Estate');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('National Security');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Part-time/Freelance');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Printing');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Product Design');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Public Relations');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Public Safety');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Research');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Retail');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Sales');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Scientific');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Shipping/Distribution');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Technicians');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Trades');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Transportation');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Transportation Engineering');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_categories')." (cat_title) VALUES ('Web Site Development');";
	return $sql;
}

function getDefaultSubCatSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('Accounting/Finance');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('Administrative');";
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('1', 'Cast Accounting ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('1', 'Controllership & Accounting Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('1', 'Payroll ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('1', 'Corporate Finance', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('2', 'Administrative Division', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('2', 'Autonomous Territories', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('2', 'Administrative County', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('2', 'Administrative Communes', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('3', 'Finance Advertising ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('3', 'Advertising-Tourism', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('3', 'Advertising Social Net', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('3', 'Distributor Marketing', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('3', 'Facebook Advertising', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('4', 'Quality Engineer ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('4', 'Office Assistant ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('4', 'Air Host/hostess', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('4', 'Ticketing/reservation', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('5', 'Architectural Drafting', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('5', 'Enterprize Architecture', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('5', 'Architecture Frameworks', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('6', 'Automotive Design', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('6', 'Autmotive Paints', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('6', 'Automotive Equipment/Parts', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('6', 'Automotive Search Engine', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('7', 'Private Banking', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('7', 'Stock Brocker', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('7', 'Fractional-reserve Banking', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('7', 'Mobile Banking', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('8', 'Plant Biotechnology', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('8', 'Animal Biotechnology', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('8', 'Biotechnology & Medicine', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('8', 'Biotechnology & Society', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('8', 'Industrail & Microbial Biotechnonogy', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('9', 'Construction (Design & Managment)', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('9', 'Construction Engineering ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('9', 'Composite Construction', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('10', 'Civil Engineering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('10', 'Software Engineering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('10', 'Nuclear Engineering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('10', 'Ocean Engingeering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('10', 'Transpotation Engineering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('11', 'Security Cleared Jobs', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('11', 'Security Cleared IT Jobs', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('11', 'Confidential & Secret Security Clearance Job', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('12', 'Verbal', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('12', 'E-mail', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('12', 'Non-verbal', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('13', 'Computer Consulting Services ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('13', 'Computer Installations Services', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('13', 'Software Vendors', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('14', 'Renovaiton', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('14', 'Addition', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('14', 'New Construction', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('15', 'Organization Development', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('15', 'Construction Management', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('15', 'Managment Consulting ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('16', 'High Touch Customer Service ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('16', 'Low Touch Customer Service', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('16', 'Bad Touch Customer Service', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('17', 'By Using legal services for the poor', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('17', 'By Using Retained Counsel', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('17', 'By Self-representation', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('18', 'Project Subtype Design', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('18', 'Graphic Design', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('18', 'Interior Desing', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('19', 'IT or Engineering Education', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('19', 'Commerce & Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('19', 'Medical Education', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('20', 'Power Engineering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('20', 'Instrumentation', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('20', 'Telecommunication', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('20', 'Signal Processing', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('21', 'Electromagnetics', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('21', 'Network Analysis', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('21', 'Control Systems', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('22', 'Thermal Energy', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('22', 'Chemical Energy', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('22', 'Electrical Energy', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('22', 'Nuclear Energy', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('23', 'Software Engineering ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('23', 'Civil Engineering ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('23', 'Nuclear Engineering', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('24', 'Nuclear Safety', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('24', 'Agriculture Safety', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('24', 'Occupational Health Safety', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('25', 'Unique Fundraisers', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('25', 'Sports Fundraiserse', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('25', 'Fundraisers', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('26', 'Staying Informed', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('26', 'Medical Edcuation ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('26', 'Managing a partucular disease', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('27', 'Customs & Border Protection', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('27', 'Federal Law & Enforcement', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('27', 'Nation Protection', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('28', 'Benefits Administrators', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('28', 'Executive Compensation Analysts', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('28', 'Managment Analysts', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('29', 'Health Insurance ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('29', 'Life Insurance', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('29', 'Vehicle Insurance', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('30', 'Artificial Intelligence ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('30', 'Predictive Analytics ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('30', 'Science & Technology', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('31', 'Work Experience internship', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('31', 'Research internship', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('31', 'Sales & Marketing Intern', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('32', 'According To Law', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('32', 'Defined Rule', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('33', 'Shipping ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('33', 'Transpotation Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('33', 'Third-party Logistics Provider', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('34', 'General Maintenance', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('34', 'Automobile Maintenance ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('34', 'Equipment Manitenance', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('35', 'Project Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('35', 'Planning ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('35', 'Risk Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('36', 'Quality Assurance ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('36', 'Product Manager', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('36', 'Planning Supervisor ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('37', 'Networking ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('37', 'Direct Mail Marketing', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('37', 'Media Advertising ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('38', 'Supply Chain ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('38', 'Hazardous Materials Management', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('38', 'Materials Inventory Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('39', 'Aerospace ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('39', 'Automotive ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('39', 'Biomedical', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('39', 'Mechanical', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('39', 'Naval', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('40', 'Conventional Mortgage', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('40', 'Adjustable Rate Mortgage', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('40', 'Commercial Mortgages', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('41', 'Economic Security', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('41', 'Environmental Security', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('41', 'Military Security', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('42', 'Freelance Portfolios', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('42', 'Freelance Freedom ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('42', 'Freelance Jobs', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('43', 'Offset Lithographp ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('43', 'Themography Raised Printing', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('43', 'Digital Printing ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('44', 'idea Generation', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('44', 'Need Based Generation', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('44', 'Design Solution', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('45', 'Media Relations', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('45', 'Media Tours ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('45', 'Newsletters ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('46', 'Automised Security', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('46', 'Environmental & Social Safety', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('47', 'Basic Research', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('47', 'Applied Research', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('47', 'Methods & Appraches ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('48', 'Department Stores', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('48', 'Discount Stores', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('48', 'Supermarkets', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('49', 'Sales Contracts ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('49', 'Sales Forecasts ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('49', 'Sales Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('50', 'Scientific Managment', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('50', 'Scientific Research', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('50', 'Scientific invenctions ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('51', 'Shppping/Distrubution Companies', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('51', 'Services ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('51', 'Channels & Softwares', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('52', 'Medical Technicians ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('52', 'Electrical Technicians', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('52', 'Accounting Technicians ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('53', 'Construction Trade ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('53', 'Stock Trade', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('53', 'skilled Trade ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('53', 'Option Trade ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('54', 'Transpotation System', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('54', 'Human-Powered ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('54', 'Airline,Train,bus,car', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('55', 'Subway & Civil', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('55', 'Traffic Highway Transpotation', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('56', 'Small Business ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('56', 'E-Commerce Sites ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('56', 'Portals ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('56', 'Search Engines ', '1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_subcategories')." (categoryid,title,status) VALUES ('56', 'Personal,Commercial,Govt', '1');";
	return $sql;
}

function getDefaultSalaryRangeSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('1000', '1500');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('1500', '2000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('2000', '2500');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('2500', '3000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('3000', '3500');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('3500', '4000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('4000', '4500');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('4500', '5000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('5000', '5500');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('5500', '6000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('6000', '7000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('7000', '8000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('8000', '9000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('9000', '10000');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrange')." (rangestart, rangeend) VALUES ('10000', '10000+');";
	return $sql;
}

function getDefaultSalaryRangeTypesSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_salaryrangetypes')." (title, status) VALUES ('Per Year', 1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrangetypes')." (title, status) VALUES ('Per Month', 1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrangetypes')." (title, status) VALUES ('Per Week', 1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_salaryrangetypes')." (title, status) VALUES ('Per Date', 1);";
	return $sql;
}

function getDefaultHeighestEducationSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_heighesteducation')." VALUES (1,'University','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_heighesteducation')." VALUES (2,'College','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_heighesteducation')." VALUES (3,'High School','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_heighesteducation')." VALUES (4,'No School','1');";
	return $sql;
}

function getDefaultJobStatusSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_jobstatus')." VALUES (1,'Sourcing','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobstatus')." VALUES (2,'Interviewing','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobstatus')." VALUES (3,'Closed to New Applicants','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobstatus')." VALUES (4,'Finalists Identified','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobstatus')." VALUES (5,'Pending Approval','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobstatus')." VALUES (6,'Hold','1');";
	return $sql;
}

function getDefaultJobTypeSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_jobtypes')." VALUES (1,'Full-Time','1','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobtypes')." VALUES (2,'Part-Time','1','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_jobtypes')." VALUES (3,'Internship','1','1');";
	return $sql;
}

function getDefaultShiftSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_shifts')." VALUES (1,'Morning','1','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_shifts')." VALUES (2,'Evening','1','1');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_shifts')." VALUES (3,'8 PM to 4 AM','1','1');";
	return $sql;
}

function getDefaultRoleSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_roles')." VALUES (1,'Employer',1,-1,-1,-1,-1,-1,-1,-1,-1,1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_roles')." VALUES (2,'Job Seeker',2,-1,-1,-1,-1,-1,-1,-1,-1,1);";
	return $sql;
}

function getDefaultCurrenciesSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_currencies')." VALUES (1,'Pakistani Rupee','Rs.',1,1);";
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_currencies')." VALUES (1,'USD','$',1,0);";
	return $sql;
}
function getDefaultCurrenciesForUpdateSQL() {
	
	$db = &JFactory::getDBO();
	$query = 'SELECT * FROM '.$db->nameQuote('#__js_job_config_bak').' WHERE configname = "currency"';
	$db->setQuery($query);
	$defaultcurrency = $db->loadObject();
	if(isset($defaultcurrency)){
		$sql = "INSERT INTO ".$db->nameQuote('#__js_job_currencies')." VALUES (1,'Default','".$defaultcurrency->configvalue."',1,1);";
	}else{
		$sql = getDefaultCurrenciesSQL();
	}	
	return $sql;
}
function getDefaultEmailTemplatesSQL() {
	$db = &JFactory::getDBO();
	$siteAddress='';
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (1,0,'company-approval',NULL,'Company {COMPANY_NAME} has been approved','<p>Dear  {EMPLOYER_NAME} , <br /><br />Your company <strong>{COMPANY_NAME}</strong> has been approved.</p><p> Login and view detail at www.joomsky.com  <br /><br />Please do not respond to this message. It is automatically generated and is for information purposes only. </p>',1,'2009-08-17 18:08:41');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (2,0,'company-rejecting',NULL,'Your Company {COMPANY_NAME} has been rejected','<p>Dear  {EMPLOYER_NAME} , </p><p>Your company<strong> {COMPANY_NAME}</strong> has been rejected. </p><p>Login and view detail at www.joomsky.com  </p><p>Please do not respond to this message. It is automatically generated and is for information purposes only. </p>',NULL,'2009-08-17 17:54:48');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (4,0,'job-approval',NULL,'Your job {JOB_TITLE} has been approved.','<p>Dear {EMPLOYER_NAME} , </p><p>Your job <strong>{JOB_TITLE}</strong> has been approved.</p><p> Login and view detail at $siteAddress </p><p>Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-17 22:10:27');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (5,0,'job-rejecting',NULL,'Your job {JOB_TITLE} has been rejected.','<p>Dear {EMPLOYER_NAME} , </p><p>Your job <strong>{JOB_TITLE}</strong> has been rejected.</p><p> Login and view detail at $siteAddress </p><p>Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-17 22:12:43');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (6,0,'resume-approval',NULL,'Your resume {RESUME_TITLE} has been approval.','<p>Dear {JOBSEEKER_NAME}  , </p><p> Your resume <strong>{RESUME_TITLE}</strong>  has been approval.</p><p> Login and view detail at $siteAddress </p><p>Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-17 22:15:12');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (7,0,'resume-rejecting',NULL,'Your company {RESUME_TITLE} has been rejected. ','<p>Dear {JOBSEEKER_NAME}  , </p><p> Your resume <strong>{RESUME_TITLE}</strong>  has been rejected.</p><p> Login and view detail at $siteAddress </p><p>Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-17 22:14:52');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (8,0,'jobapply-jobapply',NULL,'JS Jobs :  {JOBSEEKER_NAME} apply for {JOB_TITLE}','<p>Hello {EMPLOYER_NAME} , </p><p> Mr/Mrs {JOBSEEKER_NAME} apply for {JOB_TITLE}.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (9,0,'company-new',NULL,'JS Jobs : New Company {COMPANY_NAME} has beed received','<p>Hello Admin , </p><p> We receive new company.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (10,0,'job-new',NULL,'JS Jobs : New Job {JOB_TITLE} has beed received','<p>Hello Admin , </p><p> We receive new job.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (11,0,'resume-new',NULL,'JS Jobs :  New resume {RESUME_TITLE} has beed received','<p>Hello Admin , </p><p> We receive new resume.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (12,0,'department-new',NULL,'JS Jobs : New Department {DEPARTMENT_NAME} {COMPANY_NAME} has beed received','<p>Hello Admin , </p><p> We receive new department.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (13,0,'employer-buypackage',NULL,'JS Jobs : Employer Buy Package {PACKAGE_NAME}','<p>Hello Admin , </p><p> Employer buy a package.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (14,0,'jobseeker-buypackage',NULL,'JS Jobs : Jobseeker Buy Package {PACKAGE_NAME}','<p>Hello Admin , </p><p> Job Seeker buy package.</p><p> Login and view detail at $siteAddress \\n\\nPlease do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (15,'0','message-email', null, 'JS Jobs: New Message Alert', '<p>Dear {NAME},</p>\r\n<p>{SENDER_NAME}: send you new message.</p>\r\n<p><strong><span style=\"text-decoration: underline;\">Summary</span></strong></p>\r\n<p>Company Name: {COMPANY_NAME}</p>\r\n<p>Job Title: {JOB_TITLE}</p>\r\n<p>Resume Title: {RESUME_TITLE}</p>', '1', '2009-08-18 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (16,0,'job-alert',NULL,'JS Jobs: New Job','<p>Dear {JOBSEEKER_NAME} , </p><p> We receive new job.</p><p> {JOBS_INFO}</p><p> Login and view detail at  Please do not respond to this message. It is automatically generated and is for information purposes only.</p>	',NULL,'2011-03-31 16:46:16');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_emailtemplates')." VALUES (17,0,'job-alert-visitor',NULL,'JS Jobs: New Job By Visitor','<p>Dear {CONTACT_NAME} ,</p>\r\n<p>We receive new job.</p>\r\n<p>Title: {JOB_TITLE}</p>\r\n<p>Job Category: {JOB_CATEGORY}</p>\r\n<p>Company Name: {COMPANY_NAME}</p>\r\n<p>Status: {JOB_STATUS}</p>\r\n<p>Login and view detail at Please do not respond to this message. It is automatically generated and is for information purposes only.</p>',NULL,'2011-03-31 16:46:16');";
	return $sql;
}

function getDefaultAgesSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (1,'10 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (2,'15 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (3,'20 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (4,'25 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (5,'30 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (6,'35 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (7,'40 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (8,'45 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (9,'50 Years',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_ages')." VALUES (10,'55 Years',1);";
	return $sql;
}

function getDefaultCareerLevelsSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (1,'Student (Undergraduate)',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (2,'Student (Graduate)',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (3,'Entry Level',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (4,'Experienced (Non-Manager)',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (5,'Manager',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (6,'Executive (Department Head, SVP, VP etc)',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_careerlevels')." VALUES (7,'Senior Executive (President, CEO, etc)',1);";
	return $sql;
}

function getDefaultExperiencesSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (1,'Fresh',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (2,'Less then 1 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (3,'1 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (4,'2 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (5,'3 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (6,'4 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (7,'5 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (8,'6 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (9,'7 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (10,'8 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (11,'9 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (12,'10 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (13,'11 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (14,'12 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (15,'13 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (16,'14 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (17,'15 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (18,'16 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (19,'17 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (20,'18 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (21,'19 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (22,'20 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (23,'21 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (24,'22 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (25,'23 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (26,'24 Year',1);";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_experiences')." VALUES (27,'25 Year',1);";
	return $sql;
}

function getDefaultEmployerPackagesSQL() {
	$db = &JFactory::getDBO();
        $sql = "INSERT INTO ".$db->nameQuote('#__js_job_employerpackages')." VALUES(1,'Free Package',0,0,	0,	'',	'2010-06-01 11:53:05','2010-08-24 00:00:00',1,	3,5,0,0,0,0,CURDATE(),0,0,1,'Free Package for single company','Free Package for single company',1,1,1,60,0,0,0,0,1,30,1,'','',0,1);";
	return $sql;
}

function getDefaultJobSeekerPackagesSQL() {
	$db = &JFactory::getDBO();
        $sql = "INSERT INTO ".$db->nameQuote('#__js_job_jobseekerpackages')." VALUES(1,'Free Package',0,0,1,'','2010-06-01 11:53:05','2010-08-24 00:00:00',1,3,-1,1,1,0,0,0,60,'Free Package','Free Package',1,CURDATE(),0,0,'','',1);";
	return $sql;
}

function getDefaultContriesSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (3,'AF','BF','Burkina Faso','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (5,'AF','CM','Cameroon','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (6,'AF','CV','Cape Verde','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (7,'AF','CF','Central African Republic','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (8,'AF','TD','Chad','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (9,'AF','KM','Comoros','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (10,'AF','CG','Congo','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (12,'AF','BJ','Benin','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (14,'AF','BI','Burundi','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (21,'AF','CI','Cote D\Ivorie','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (22,'AF','DJ','Djibouti','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (23,'AF','GQ','Equatorial Guinea','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (24,'AF','ER','Eritrea','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (25,'AF','ET','Ethiopia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (26,'AF','EG','Egypt','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (27,'AF','GA','Gabon','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (28,'AF','GH','Ghana','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (29,'AF','GN','Guinea','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (30,'AF','GM','Gambia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (31,'AF','GW','Guinea-Bissau','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (32,'AF','KE','Kenya','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (33,'AF','LS','Lesotho','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (34,'AF','LR','Liberia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (35,'AF','MG','Madagascar','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (36,'AF','ML','Mali','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (37,'AF','MR','Mauritania','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (38,'AF','YT','Mayotte','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (39,'AF','MA','Morocco','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (40,'AF','MZ','Mozambique','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (41,'AF','MW','Malawi','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (42,'AF','NA','Namibia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (43,'AF','NE','Niger','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (44,'AF','NG','Nigeria','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (45,'AF','RE','Reunion','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (46,'AF','SH','St. Helena','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (47,'AF','ST','Sao Tome and Principe','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (48,'AF','SN','Senegal','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (49,'AF','SL','Sierra Leone','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (50,'AF','SO','Somalia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (51,'AF','ZA','South Africa','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (52,'AF','SD','Sudan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (53,'AF','SZ','Swaziland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (54,'AF','TZ','Tanzania','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (55,'AF','TG','Togo','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (56,'AF','UG','Uganda','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (57,'AF','EH','Western Sahara','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (58,'AF','ZR','Zaire','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (59,'AF','ZM','Zambia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (60,'AF','ZW','Zimbabwe','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (62,'AS','AF','Afghanistan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (63,'AS','BD','Bangladesh','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (64,'AS','BT','Bhutan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (65,'AS','BN','Brunei','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (66,'AS','KH','Cambodia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (67,'AS','CN','China','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (68,'AS','HK','Hong Kong','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (69,'AS','IN','India','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (70,'AS','ID','Indonesia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (71,'AS','JP','Japan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (72,'AS','KZ','Kazakhstan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (73,'AS','KG','Kyrgyzstan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (74,'AS','LA','Laos','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (75,'AS','MO','Macau','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (76,'AS','MY','Malaysia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (77,'AS','MV','Maldives','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (78,'AS','MN','Mongolia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (79,'AS','NP','Nepal','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (80,'AS','PK','Pakistan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (81,'AS','PH','Philippines','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (82,'AS','KR','Republic of Korea','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (83,'AS','RU','Russia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (84,'AS','SC','Seychelles','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (85,'AS','SG','Singapore','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (86,'AS','LK','Sri Lanka','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (87,'AS','TW','Taiwan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (88,'AS','TJ','Tajikistan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (89,'AS','TH','Thailand','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (90,'AS','TM','Turkmenistan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (91,'AS','UZ','Uzbekistan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (92,'AS','VN','Vietnam','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (94,'AU','AU','Australia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (95,'AU','FM','Federated States of Micronesia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (96,'AU','FJ','Fiji','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (97,'AU','PF','French Polynesia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (98,'AU','GU','Guam','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (99,'AU','KI','Kiribati','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (100,'AU','MH','Marshall Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (101,'AU','NR','Nauru','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (102,'AU','NC','New Caledonia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (103,'AU','NZ','New Zealand','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (104,'AU','MP','Northern Mariana Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (105,'AU','PW','Palau','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (106,'AU','PG','Papua New Guinea','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (107,'AU','PN','Pitcairn','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (108,'AU','SB','Solomon Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (109,'AU','TO','Tonga','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (110,'AU','TV','Tuvalu','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (111,'AU','VU','Vanuatu','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (112,'CA','AI','Anguilla','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (114,'CA','AW','Aruba','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (115,'CA','BS','Bahamas','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (116,'CA','BB','Barbados','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (117,'CA','BM','Bermuda','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (118,'CA','VI','British Virgin Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (119,'CA','KY','Cayman Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (120,'CA','DM','Dominica','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (121,'CA','DO','Dominican Republic','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (122,'CA','GD','Grenada','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (123,'CA','GP','Guadeloupe','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (124,'CA','HT','Haiti','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (125,'CA','JM','Jamaica','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (126,'CA','MQ','Martinique','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (127,'CA','AN','Neterlands Antilles','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (128,'CA','PR','Puerto Rico','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (129,'CA','KN','St. Kitts and Nevis','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (130,'CA','LC','St. Lucia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (131,'CA','VC','St. Vincent and the Grenadines','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (132,'CA','TT','Trinidad and Tobago','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (133,'CA','TC','Turks and Caicos Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (134,'CE','BZ','Belize','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (135,'CE','CR','Costa Rica','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (136,'CE','SV','El Salvador','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (137,'CE','GT','Guatemala','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (138,'CE','HN','Honduras','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (139,'CE','NI','Nicaragua','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (140,'CE','PA','Panama','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (143,'CE','AM','Armenia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (144,'CE','AT','Austria','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (145,'CE','AZ','Azerbaijan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (146,'CE','BY','Belarus','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (147,'CE','BE','Belgium','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (148,'CE','BG','Bulgaria','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (149,'CE','HR','Croatia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (150,'CE','CY','Cyprus','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (151,'CE','CZ','Czech Republic','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (152,'CE','DK','Denmark','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (153,'CE','EE','Estonia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (154,'CE','FO','Faroe Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (155,'CE','FI','Finland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (156,'CE','FR','France','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (157,'CE','GE','Georgia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (158,'CE','DE','Germany','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (159,'CE','GI','Gibraltar','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (160,'CE','GR','Greece','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (161,'CE','GL','Greenland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (162,'CE','HU','Hungary','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (163,'CE','IS','Iceland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (164,'CE','IE','Ireland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (165,'CE','IT','Italy','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (166,'CE','LV','Latvia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (167,'CE','LI','Liechtenstein','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (168,'CE','LT','Lithuania','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (169,'CE','LU','Luxembourg','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (170,'CE','MT','Malta','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (171,'CE','FX','Metropolitan France','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (172,'CE','MD','Moldova','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (173,'CE','NL','Netherlands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (174,'CE','NO','Norway','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (175,'CE','PL','Poland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (176,'CE','PT','Portugal','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (177,'CE','RO','Romania','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (178,'CE','SK','Slovakia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (179,'CE','SI','Slovenia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (180,'CE','ES','Spain','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (181,'CE','SJ','Svalbard and Jan Mayen Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (182,'CE','SE','Sweden','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (183,'CE','CH','Switzerland','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (184,'CE','MK','Republic of Macedonia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (185,'CE','TR','Turkey','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (186,'CE','UA','Ukraine','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (187,'CE','GB','United Kingdom','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (188,'CE','VA','Vatican City','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (189,'CE','YU','Yugoslavia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (190,'ME','IL','Israel','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (191,'ME','JO','Jordan','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (192,'ME','KW','Kuwait','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (193,'ME','LB','Lebanon','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (194,'ME','OM','Oman','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (195,'ME','QA','Qatar','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (196,'ME','SA','Saudi Arabia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (197,'ME','SY','Syria','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (198,'ME','AE','United Arab Emirates','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (199,'ME','YE','Yemen','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (200,'NA','CA','Canada','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (201,'NA','MX','Mexico','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (202,'NA','US','United States','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (204,'SA','BO','Bolivia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (205,'SA','BR','Brazil','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (206,'SA','CL','Chile','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (207,'SA','CO','Colombia','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (208,'SA','EC','Equador','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (209,'SA','FK','Falkland Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (210,'SA','GF','French Guiana','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (211,'SA','GY','Guyana','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (212,'SA','PY','Paraguay','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (213,'SA','PE','Peru','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (214,'SA','SR','Suriname','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (215,'SA','UY','Uruguay','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (216,'SA','VE','Venezuela','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (217,'OT','BH','Bahrain','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (218,'OT','BV','Bouvet Islands','Y');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_countries')." VALUES (219,'OT','IO','British Indian Ocean Territory','Y');";
	
	return $sql;
}

function getDefaultPakStatesSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_states')." (`code`,`name`,`enabled`,`countrycode`) VALUES ('Capital','Capital','Y','PK');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_states')." (`code`,`name`,`enabled`,`countrycode`) VALUES ('Punjab','Punjab','Y','PK');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_states')." (`code`,`name`,`enabled`,`countrycode`) VALUES ('Sind','Sind','Y','PK');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_states')." (`code`,`name`,`enabled`,`countrycode`) VALUES ('NWFP','NWFP','Y','PK');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_states')." (`code`,`name`,`enabled`,`countrycode`) VALUES ('Balochstan','Balochistan','Y','PK');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_states')." (`code`,`name`,`enabled`,`countrycode`) VALUES ('AJK','Azad Jammu Kashmir','Y','PK');";
	
	return $sql;
}

function getDefaultPakCountiesSQL() {
	$db = &JFactory::getDBO();
	
	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Chitral','Chitral','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('UpperDir','Upper Dir','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('LowerDir','Lower Dir','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Swat','Swat','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Shangla','Shangla','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Buner','Buner','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Malakand','Malakand P.A.','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kohistan','Kohistan','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Mansehra','Mansehra','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Batagram','Batagram','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Abbottabad','Abbottabad','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Haripur','Haripur','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Mardan','Mardan','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Swabi','Swabi','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Charsadda','Charsadda','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Peshawar','Peshawar','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Nowshera','Nowshera','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kohat','Kohat','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Hangu','Hangu','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Karak','Karak','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Bannu','Bannu','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('DIKhan','Dera Ismail Khan','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Tank','Tank','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('LakkiMarw','Lakki Marwat','Y','PK','NWFP');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Rawalpindi','Rawalpindi','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Jhelum','Jhelum','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Chakwal','Chakwal','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sargodha','Sargodha','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Bhakkar','Bhakkar','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Khushab','Khushab','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Mianwali','Mianwali','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Faisalabad','Faisalabad','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Jhang','Jhang','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('TTSingh','Toba Tek Singh','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Gujranwala','Gujranwala','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Hafizabad','Hafizabad','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Gujrat','Gujrat','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('MandiBaha','Mandi Bahauddin','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sialkot','Sialkot','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Narowal','Narowal','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Lahore','Lahore','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kasur','Kasur','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Okara','Okara','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sheikhupur','Sheikhupura','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Vehari','Vehari','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sahiwal','Sahiwal','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Pakpattan','Pakpattan','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Multan','Multan','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Lodhran','Lodhran','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Khanewal','Khanewal','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('DGKhan','Dera Ghazi Khan','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Rajanpur','Rajanpur','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Layyah','Layyah','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Muzaffarga','Muzaffargarh','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Bahawalpur','Bahawalpur','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Bahawalnag','Bahawalnagar','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('RYKhan','Rahim Yar Khan','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Attock','Attock','Y','PK','Punjab');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Islamabad','Islamabad','Y','PK','Capital');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Shikarpur','Shikarpur','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Larkana','Larkana','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sukkur','Sukkur','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Ghotki','Ghotki','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Khairpur','Khairpur','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Naushahro','Naushahro Feroze','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('NawabShah','Nawab Shah','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Dadu','Dadu','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Hyderabad','Hyderabad','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Badin','Badin','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Thatta','Thatta','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sanghar','Sanghar','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('MirpurKha','Mirpur Khas','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Umerkot','Umerkot','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Tharparkar','Tharparkar','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Karachi','Karachi','Y','PK','Sind');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Quetta','Quetta','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Pishin','Pishin','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('KillaAbdu','Killa Abdullah','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Chagai','Chagai','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Loralai','Loralai','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Musakhel','Musakhel','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('KillaSaif','Killa Saifullah','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Zhob','Zhob','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Sibi','Sibi','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Ziarat','Ziarat','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kohlu','Kohlu','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('DeraBugti','Dera Bugti','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Jaffarabad','Jaffarabad','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Nasirabad','Nasirabad','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Bolan','Bolan','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kachhi','Kachhi','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kalat','Kalat','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Mastung','Mastung','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Khuzdar','Khuzdar','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Awaran','Awaran','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kharan','Kharan','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Lasbela','Lasbela','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kech','Kech','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Gwadar','Gwadar','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Panjgur','Panjgur','Y','PK','Balochstan');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Bajaur','Bajaur','Y','PK','FATA');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Mohmand','Mohmand','Y','PK','FATA');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Khyber','Khyber','Y','PK','FATA');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Kurram','Kurram','Y','PK','FATA');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('Orakzai','Orakzai','Y','PK','FATA');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('SouthWazi','South Waziristan','Y','PK','FATA');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_counties')." (`code`,`name`,`enabled`,`countrycode`,`statecode`) VALUES ('NorthWazi','North Waziristan','Y','PK','FATA');";
	
	return $sql;
}

function getDefaultPakCitiesSQL() {
	$db = &JFactory::getDBO();

	$sql = "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Chitral','Chitral','Y','PK','NWFP','Chitral');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dir','Dir','Y','PK','NWFP','UpperDir');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kohistan','Kohistan','Y','PK','NWFP','UpperDir');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Swat','Swat','Y','PK','NWFP','Swat');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Peshawar','Peshawar','Y','PK','NWFP','Peshawar');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Nowshera','Nowshera','Y','PK','NWFP','Nowshera');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kohat','Kohat','Y','PK','NWFP','Kohat');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hangu','Hangu','Y','PK','NWFP','Hangu');";
	$sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Karak','Karak','Y','PK','NWFP','Karak');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hassanabda','Hassanabdal','Y','PK','Punjab','Attock');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('FatehJang','Fateh Jang','Y','PK','Punjab','Attock');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('PindiGheb','Pindi Gheb','Y','PK','Punjab','Attock');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Rawalpindi','Rawalpindi','Y','PK','Punjab','Rawalpindi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Taxila','Taxila','Y','PK','Punjab','Rawalpindi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kahuta','Kahuta','Y','PK','Punjab','Rawalpindi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Murree','Murree','Y','PK','Punjab','Rawalpindi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('GujarKhan','Gujar Khan','Y','PK','Punjab','Rawalpindi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Jhelum','Jhelum','Y','PK','Punjab','Jhelum');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sohawa','Sohawa','Y','PK','Punjab','Jhelum');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('PindDadan','Pind Dadan Khan','Y','PK','Punjab','Jhelum');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dina','Dina','Y','PK','Punjab','Jhelum');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Chakwal','Chakwal','Y','PK','Punjab','Chakwal');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Talagang','Talagang','Y','PK','Punjab','Chakwal');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sargodha','Sargodha','Y','PK','Punjab','Sargodha');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Bhalwal','Bhalwal','Y','PK','Punjab','Sargodha');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('KotMomin','Kot Momin','Y','PK','Punjab','Sargodha');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Bhakkar','Bhakkar','Y','PK','Punjab','Bhakkar');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Khushab','Khushab','Y','PK','Punjab','Khushab');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Faisalabad','Faisalabad City','Y','PK','Punjab','Faisalabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Faisalabad','Faisalabad Saddar','Y','PK','Punjab','Faisalabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sammundri','Sammundri','Y','PK','Punjab','Faisalabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Jaranwala','Jaranwala','Y','PK','Punjab','Faisalabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Tandlianwa','Tandlianwala','Y','PK','Punjab','Faisalabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Chiniot','Chiniot','Y','PK','Punjab','Jhang');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Jhang','Jhang','Y','PK','Punjab','Jhang');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('TobaTekS','Toba Tek Singh','Y','PK','Punjab','TTSingh');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Gojra','Gojra','Y','PK','Punjab','TTSingh');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Wazirabad','Wazirabad','Y','PK','Punjab','Gujranwala');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Gujranwalacity','Gujranwala City','Y','PK','Punjab','Gujranwala');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Gujranwalasaddar','Gujranwala Saddar','Y','PK','Punjab','Gujranwala');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('NowsheraVirkan','Nowshera Virkan','Y','PK','Punjab','Gujranwala');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kamoki','Kamoki','Y','PK','Punjab','Gujranwala');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hafizabad','Hafizabad','Y','PK','Punjab','Hafizabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Gujrat','Gujrat','Y','PK','Punjab','Gujrat');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kharian','Kharian','Y','PK','Punjab','Gujrat');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('MandiBaha','Mandi Bahauddin','Y','PK','Punjab','MandiBaha');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sialkot','Sialkot','Y','PK','Punjab','Sialkot');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Narowal','Narowal','Y','PK','Punjab','Narowal');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('LahoreCity','Lahore City','Y','PK','Punjab','Lahore');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Lahore Cantt','Lahore Cantt.','Y','PK','Punjab','Lahore');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kasur','Kasur','Y','PK','Punjab','Kasur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Okara','Okara','Y','PK','Punjab','Okara');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('NankanaSa','Nankana Sahib','Y','PK','Punjab','Sheikhupur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sheikhupur','Sheikhupura','Y','PK','Punjab','Sheikhupur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Vehari','Vehari','Y','PK','Punjab','Vehari');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Burewala','Burewala','Y','PK','Punjab','Vehari');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sahiwal','Sahiwal','Y','PK','Punjab','Sahiwal');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('MultanCit','Multan City','Y','PK','Punjab','Multan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('MultanSad','Multan Saddar','Y','PK','Punjab','Multan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('DGKhan','Dera Ghazi Khan','Y','PK','Punjab','DGKhan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Taunsa','Taunsa','Y','PK','Punjab','DGKhan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Rajanpur','Rajanpur','Y','PK','Punjab','Rajanpur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Muzaffarga','Muzaffargarh','Y','PK','Punjab','Muzaffarga');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Bahawalpur','Bahawalpur','Y','PK','Punjab','Hasilpur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Bahawalnag','Bahawalnagar','Y','PK','Punjab','Bahawalnag');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Liaquatpur','Liaquatpur','Y','PK','Punjab','RYKhan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sadiqabad','Sadiqabad','Y','PK','Punjab','RYKhan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Attock','Attock','Y','PK','Punjab','Attock');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Islamabad','Islamabad City','Y','PK','Capital','Islamabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Jacobabad','Jacobabad','Y','PK','Sind','Jacobabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Thul','Thul','Y','PK','Sind','Jacobabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kashmor','Kashmor','Y','PK','Sind','Jacobabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Shikarpur','Shikarpur','Y','PK','Sind','Shikarpur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Shahdadkot','Shahdadkot','Y','PK','Sind','Larkana');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Larkana','Larkana','Y','PK','Sind','Larkana');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sukkur','Sukkur','Y','PK','Sind','Sukkur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Ghotki','Ghotki','Y','PK','Sind','Ghotki');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Khairpur','Khairpur','Y','PK','Sind','Khairpur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Naushahro','Naushahro Feroze','Y','PK','Sind','Naushahro');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('NawabShah','Nawab Shah','Y','PK','Sind','NawabShah');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dadu','Dadu','Y','PK','Sind','Dadu');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Johi','Johi','Y','PK','Sind','Dadu');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('TandoAlla','Tando Allahyar','Y','PK','Sind','Hyderabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hyderabad','Hyderabad City','Y','PK','Sind','Hyderabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Latifabad','Latifabad','Y','PK','Sind','Hyderabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hyderabad','Hyderabad','Y','PK','Sind','Hyderabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Qasimabad','Qasimabad','Y','PK','Sind','Hyderabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('TandoMoha','Tando Mohammad Khan','Y','PK','Sind','Hyderabad');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Golarchi','Golarchi','Y','PK','Sind','Badin');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Badin','Badin','Y','PK','Sind','Badin');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Thatta','Thatta','Y','PK','Sind','Thatta');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('TandoAdam','Tando Adam','Y','PK','Sind','Sanghar');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('MirpurKha','Mirpur Khas','Y','PK','Sind','MirpurKha');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('EntireEa','Entire  East','Y','PK','Sind','Karachi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('KarachiWest','Karachi West','Y','PK','Sind','Karachi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('KarachiSouth','Karachi South','Y','PK','Sind','Karachi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('EntireUrban','Entire Urban','Y','PK','Sind','Karachi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('KarachiCental','Karachi Central','Y','PK','Sind','Karachi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Mali','Mali','Y','PK','Sind','Karachi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Quetta','Quetta','Y','PK','Balochstan','Quetta');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Panjpai','Panjpai','Y','PK','Balochstan','Quetta');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Pishin','Pishin','Y','PK','Balochstan','Pishin');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('KillaAbdu','Killa Abdullah','Y','PK','Balochstan','KillaAbdu');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Nushki','Nushki','Y','PK','Balochstan','Chagai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dalbandin','Dalbandin','Y','PK','Balochstan','Chagai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Chagai','Chagai','Y','PK','Balochstan','Chagai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Nokundi','Nokundi','Y','PK','Balochstan','Chagai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dak','Dak','Y','PK','Balochstan','Chagai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Taftan','Taftan','Y','PK','Balochstan','Chagai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('LoralaiBo','Loralai/Bori','Y','PK','Balochstan','Loralai');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Barkhan','Barkhan','Y','PK','Balochstan','Barkhan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Musakhel','Musakhel','Y','PK','Balochstan','Musakhel');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('KillaSaif','Killa Saifullah','Y','PK','Balochstan','KillaSaif');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Zhob','Zhob','Y','PK','Balochstan','Zhob');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sibi','Sibi','Y','PK','Balochstan','Sibi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Ziarat','Ziarat','Y','PK','Balochstan','Ziarat');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kohlu','Kohlu','Y','PK','Balochstan','Kohlu');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('DeraBugti','Dera Bugti','Y','PK','Balochstan','DeraBugti');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sui','Sui','Y','PK','Balochstan','DeraBugti');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Bhag','Bhag','Y','PK','Balochstan','Bolan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Balanari','Balanari','Y','PK','Balochstan','Bolan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sani','Sani','Y','PK','Balochstan','Bolan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Mirpur','Mirpur','Y','PK','Balochstan','Kachhi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kalat','Kalat','Y','PK','Balochstan','Kalat');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Mangochar','Mangochar','Y','PK','Balochstan','Kalat');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Johan','Johan','Y','PK','Balochstan','Kalat');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dasht','Dasht','Y','PK','Balochstan','Mastung');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('JhalJao','Jhal Jao','Y','PK','Balochstan','Awaran');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kharan','Kharan','Y','PK','Balochstan','Kharan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Besima','Besima','Y','PK','Balochstan','Kharan');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hub','Hub','Y','PK','Balochstan','Lasbela');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Kech','Kech','Y','PK','Balochstan','Kech');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Hoshab','Hoshab','Y','PK','Balochstan','Kech');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Gwadar','Gwadar','Y','PK','Balochstan','Gwadar');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Pasni','Pasni','Y','PK','Balochstan','Gwadar');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Gichk','Gichk','Y','PK','Balochstan','Panjgur');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Bara','Bara','Y','PK','FATA','Khyber');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Jamrud','Jamrud','Y','PK','FATA','Khyber');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('LandiKota','Landi Kotal','Y','PK','FATA','Khyber');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Ladha','Ladha','Y','PK','FATA','SouthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Sararogha','Sararogha','Y','PK','FATA','SouthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Wana','Wana','Y','PK','FATA','SouthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('DattaKhel','Datta Khel','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Dossali','Dossali','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Garyum','Garyum','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('GhulamKha','Ghulam Khan','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('MirAli','Mir Ali','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('MiranShah','Miran Shah','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Razmak','Razmak','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Spinwam','Spinwam','Y','PK','FATA','NorthWazi');";
        $sql .= "INSERT INTO ".$db->nameQuote('#__js_job_cities')." (`code`,`name`,`enabled`,`countrycode`,`statecode`,`countycode`) VALUES ('Shewa','Shewa','Y','PK','FATA','NorthWazi');";
	
	return $sql;
}

function getDefaultFieldOrderingSQL() {
	$db = &JFactory::getDBO();
	$sql = "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (1,'jobcategory','Job Category',2,NULL,1,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (2,'name','Name',1,NULL,1,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (3,'url','URL',3,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (4,'contactname','Contact Name',4,NULL,1,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (5,'contactphone','Contact Phone',5,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (6,'contactemail','Contact Email',6,NULL,1,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (7,'since','Since',8,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (8,'companysize','Company Size',9,NULL,1,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (9,'income','Income',10,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (10,'description','Description',11,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (11,'address1','Address1',17,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (12,'logo','Logo',19,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (20,'contactfax','Contact Fax',7,NULL,1,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (21,'country','Country',12,NULL,1,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (22,'state','State',13,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (23,'county','County',14,'',1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (24,'city','City',15,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (25,'zipcode','Zipcode',16,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (26,'address2','Address2',18,NULL,1,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (101,'jobtitle','Job Title',1,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (102,'company','Company',2,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (103,'department','Department',3,NULL,2,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (104,'jobcategory','Job Category',4,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (105,'subcategory','Sub Category',5,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (106,'jobtype','Job Type',6,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (107,'jobstatus','Job Status',7,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (108,'gender','Gender',8,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (109,'age','Age',9,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (110,'jobsalaryrange','Job Salary Range',10,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (111,'jobshift','Job Shift',11,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (112,'heighesteducation','Heighest Education',12,NULL,2,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (113,'experience','Experience',13,NULL,2,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (114,'noofjobs','No of Jobs',14,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (115,'duration','Duration',15,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (116,'careerlevel','Career Level',16,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (117,'workpermit','Work Permit',17,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (118,'requiredtravel','Required Travel',18,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (119,'video','Video',19,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (120,'map','Map',20,NULL,2,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (121,'startpublishing','Start Publishing',21,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (122,'stoppublishing','Stop Publishing',22,NULL,2,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (123,'country','Country',23,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (124,'state','State',24,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (125,'county','County',25,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (126,'city','City',26,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (130,'sendemail','Send Email',27,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (131,'sendmeresume','Send me Resume',28,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (132,'description','Description',29,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (133,'qualifications','Qualifications',30,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (134,'prefferdskills','Prefered Skills',31,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (135,'agreement','Agreement',32,NULL,2,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (136,'metadescription','Meta Description',33,NULL,2,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (137,'metakeywords','Meta Keywords',34,NULL,2,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (127,'zipcode','Zipcode',26,NULL,2,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (301,'section_personal','Personal Information',0,'10',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (302,'applicationtitle','Application Title',1,'10',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (303,'firstname','First Name',2,'10',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (304,'middlename','Middle Name',3,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (305,'lastname','Last Name',4,'10',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (306,'emailaddress','Email Address',5,'10',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (307,'homephone','Home Phone',6,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (308,'workphone','Work Phone',7,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (309,'cell','Cell',8,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (310,'nationality','Nationality',9,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (311,'gender','Gender',10,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (312,'photo','Photo',12,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (453,'fileupload','File Upload',13,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (313,'section_basic','Basic Information',15,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (314,'category','Category',16,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (315,'salary','Salary ',17,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (316,'jobtype','Job Type',18,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (317,'heighesteducation','Heighest Education',19,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (318,'totalexperience','Total Experience',20,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (319,'startdate','Date you can start',21,'20',3,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (320,'section_addresses','Addresses',42,'30',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (321,'section_sub_address','Current Address',43,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (322,'address_country','Country',44,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (323,'address_state','State',45,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (324,'address_county','County',46,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (325,'address_city','City',47,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (326,'address_zipcode','Zip Code',48,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (327,'address_address','Address',49,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (328,'section_sub_address1','Address1',51,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (329,'address1_country','Country',52,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (330,'address1_state','State',53,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (331,'address1_county','County',54,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (332,'address1_city','City',55,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (333,'address1_zipcode','Zip Code',56,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (334,'address1_address','Address',57,'32',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (335,'section_sub_address2','Address1',61,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (336,'address2_country','Country',62,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (337,'address2_state','State',63,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (338,'address2_county','County',64,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (339,'address2_city','City',65,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (340,'address2_zipcode','Zip Code',66,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (341,'address2_address','Address',67,'33',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (342,'section_education','Education',71,'40',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (343,'section_sub_institute','High School',72,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (344,'institute_institute','Institute',73,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (345,'institute_country','Country',74,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (346,'institute_state','State',75,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (347,'institute_county','County',76,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (348,'institute_city','City',77,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (349,'institute_address','Address',78,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (350,'institute_certificate','Certificate Name',79,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (351,'institute_study_area','Study Area',80,'41',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (352,'section_sub_institute1','University',82,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (353,'institute1_institute','Institute',83,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (354,'institute1_country','Country',84,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (355,'institute1_state','State',85,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (356,'institute1_county','County',86,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (357,'institute1_city','City',87,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (358,'institute1_address','Address',88,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (359,'institute1_certificate','Certificate Name',89,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (360,'institute1_study_area','Study Area',90,'42',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (361,'section_sub_institute2','Grade School',92,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (362,'institute2_institute','Institute',93,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (363,'institute2_country','Country',94,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (364,'institute2_state','State',95,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (365,'institute2_county','County',96,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (366,'institute2_city','City',97,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (367,'institute2_address','Address',98,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (368,'institute2_certificate','Certificate Name',99,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (369,'institute2_study_area','Study Area',100,'43',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (370,'section_sub_institute3','Other School',102,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (371,'institute3_institute','Institute',103,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (372,'institute3_country','Country',104,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (373,'institute3_state','State',105,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (374,'institute3_county','County',106,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (375,'institute3_city','City',107,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (376,'institute3_address','Address',108,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (377,'institute3_certificate','Certificate Name',109,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (378,'institute3_study_area','Study Area',110,'44',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (379,'section_employer','Employer',112,'50',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (380,'section_sub_employer','Recent Employer',113,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (381,'employer_employer','Employer',114,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (382,'employer_position','Position',114,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (383,'employer_resp','Responsibilities',115,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (384,'employer_pay_upon_leaving','Pay Upon Leaving',116,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (385,'employer_supervisor','Supervisor',117,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (386,'employer_from_date','From Date',118,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (387,'employer_to_date','To Date',119,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (388,'employer_leave_reason','Leave Reason',120,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (389,'employer_country','Country',121,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (390,'employer_state','State',122,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (391,'employer_county','County',123,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (392,'employer_city','City',124,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (393,'employer_zip','Zip Code',125,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (394,'employer_phone','Phone',126,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (395,'employer_address','Address',127,'51',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (396,'section_sub_employer1','Prior Employer 1',128,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (397,'employer1_employer','Employer',129,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (398,'employer1_position','Position',130,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (399,'employer1_resp','Responsibilities',131,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (400,'employer1_pay_upon_leaving','Pay Upon Leaving',132,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (401,'employer1_supervisor','Supervisor',133,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (402,'employer1_from_date','From Date',134,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (403,'employer1_to_date','To Date',135,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (404,'employer1_leave_reason','Leave Reason',136,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (405,'employer1_country','Country',137,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (406,'employer1_state','State',138,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (407,'employer1_county','County',139,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (408,'employer1_city','City',140,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (409,'employer1_zip','Zip Code',141,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (410,'employer1_phone','Phone',142,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (412,'employer1_address','Address',143,'52',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (413,'section_sub_employer2','Prior Employer 2',146,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (414,'employer2_employer','Employer',147,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (415,'employer2_position','Position',148,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (416,'employer2_resp','Responsibilities',149,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (417,'employer2_pay_upon_leaving','Pay Upon Leaving',150,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (418,'employer2_supervisor','Supervisor',151,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (419,'employer2_from_date','From Date',152,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (420,'employer2_to_date','To Date',153,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (421,'employer2_leave_reason','Leave Reason',154,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (423,'employer2_country','Country',155,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (424,'employer2_state','State',156,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (425,'employer2_county','County',157,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (426,'employer2_city','City',158,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (427,'employer2_zip','Zip Code',159,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (428,'employer2_phone','Phone',160,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (429,'employer2_address','Address',161,'53',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (430,'section_sub_employer3','Prior Employer 3',166,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (431,'employer3_employer','Employer',167,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (432,'employer3_position','Position',168,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (433,'employer3_resp','Responsibilities',169,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (434,'employer3_pay_upon_leaving','Pay Upon Leaving',170,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (435,'employer3_supervisor','Supervisor',171,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (436,'employer3_from_date','From Date',172,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (437,'employer3_to_date','To Date',173,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (438,'employer3_leave_reason','Leave Reason',174,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (439,'employer3_country','Country',175,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (440,'employer3_state','State',176,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (441,'employer3_county','County',177,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (442,'employer3_city','City',178,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (443,'employer3_zip','Zip Code',179,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (444,'employer3_phone','Phone',180,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (445,'employer3_address','Address',181,'54',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (446,'section_skills','Skills',186,'60',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (447,'driving_license','Driving License',187,'60',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (448,'license_no','License No',188,'60',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (449,'license_country','License Country',189,'60',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (450,'skills','Skills',190,'60',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (451,'section_resumeeditor','Resume Editor',196,'70',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (452,'editor','Editor',197,'70',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (454,'section_references','References',206,'80',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (455,'section_sub_reference','Reference 1',207,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (456,'reference_reference','Reference',208,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (457,'reference_name','Name',209,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (458,'reference_country','Country',210,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (459,'reference_state','State',211,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (460,'reference_county','County',212,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (471,'reference_city','City',213,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (472,'reference_zipcode','Zip Code',214,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (473,'reference_phone','Phone',215,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (474,'reference_relation','Relation',216,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (475,'reference_years','Years',217,'81',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (476,'section_sub_reference1','Reference 2',221,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (477,'reference1_reference','Reference',222,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (478,'reference1_name','Name',223,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (479,'reference1_country','Country',224,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (480,'reference1_state','State',225,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (481,'reference1_county','County',226,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (482,'reference1_city','City',227,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (483,'reference1_zipcode','Zip Code',228,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (484,'reference1_phone','Phone',229,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (485,'reference1_relation','Relation',230,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (486,'reference1_years','Years',231,'82',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (487,'section_sub_reference2','Reference 3',232,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (488,'reference2_reference','Reference',233,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (489,'reference2_name','Name',234,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (490,'reference2_country','Country',235,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (491,'reference2_state','State',236,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (492,'reference2_county','County',237,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (493,'reference2_city','City',238,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (494,'reference2_zipcode','Zip Code',239,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (495,'reference2_phone','Phone',240,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (496,'reference2_relation','Relation',241,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (497,'reference2_years','Years',242,'83',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (498,'section_sub_reference3','Reference 4',243,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (499,'reference3_reference','Reference',244,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (500,'reference3_name','Name',245,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (501,'reference3_country','Country',246,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (502,'reference3_state','State',247,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (503,'reference3_county','County',248,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (504,'reference3_city','City',249,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (505,'reference3_zipcode','Zip Code',250,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (506,'reference3_phone','Phone',251,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (507,'reference3_relation','Relation',252,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (508,'reference3_years','Years',253,'84',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (510,'Iamavailable','I am Available',11,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (511,'searchable','Searchable',12,'10',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (512,'section_userfields','User Fields',22,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (513,'userfield1','User Field 1',23,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (514,'userfield2','User Field 2',24,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (515,'userfield3','User Field 3',25,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (516,'userfield4','User Field 4',26,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (517,'userfield5','User Field 5',27,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (518,'userfield6','User Field 6',28,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (519,'userfield7','User Field 7',29,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (520,'userfield8','User Field 8',30,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (521,'userfield9','User Field 9',31,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (522,'userfield10','User Field 10',32,'1000',3,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (523,'jobcategory','Job Category',1,NULL,11,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (524,'name','Name',2,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (525,'url','URL',3,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (526,'contactname','Contact Name',4,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (527,'contactphone','Contact Phone',5,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (528,'contactemail','Contact Email',6,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (529,'since','Since',8,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (530,'companysize','Company Size',9,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (531,'income','Income',10,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (532,'description','Description',11,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (533,'address1','Address1',17,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (534,'logo','Logo',19,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (535,'contactfax','Contact Fax',7,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (536,'country','Country',12,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (537,'state','State',13,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (538,'county','County',14,'',11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (539,'city','City',15,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (540,'zipcode','Zipcode',16,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (541,'address2','Address2',18,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (542,'jobtitle','Job Title',1,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (543,'company','Company',2,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (544,'department','Department',3,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (545,'jobcategory','Job Category',4,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (546,'subcategory','Sub Category',5,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (547,'jobtype','Job Type',6,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (548,'jobstatus','Job Status',7,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (549,'gender','Gender',8,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (550,'age','Age',9,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (551,'jobsalaryrange','Job Salary Range',10,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (552,'jobshift','Job Shift',11,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (553,'heighesteducation','Heighest Education',12,NULL,12,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (554,'experience','Experience',13,NULL,12,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (555,'noofjobs','No of Jobs',14,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (556,'duration','Duration',15,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (557,'careerlevel','Career Level',16,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (558,'workpermit','Work Permit',17,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (559,'requiredtravel','Required Travel',18,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (560,'video','Video',19,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (561,'map','Map',20,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (562,'startpublishing','Start Publishing',21,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (563,'stoppublishing','Stop Publishing',22,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (564,'country','Country',23,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (565,'state','State',24,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (566,'county','County',25,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (567,'city','City',26,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (568,'sendemail','Send Email',27,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (569,'sendmeresume','Send me Resume',28,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (570,'description','Description',29,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (571,'qualifications','Qualifications',30,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (572,'prefferdskills','Prefered Skills',31,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (573,'agreement','Agreement',32,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (574,'metadescription','Meta Description',33,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (575,'metakeywords','Meta Keywords',34,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (576,'zipcode','Zipcode',26,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (577,'section_personal','Personal Information',0,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (578,'applicationtitle','Application Title',1,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (579,'firstname','First Name',2,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (580,'middlename','Middle Name',3,'10',13,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (581,'lastname','Last Name',4,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (582,'emailaddress','Email Address',5,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (583,'homephone','Home Phone',6,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (584,'workphone','Work Phone',7,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (585,'cell','Cell',8,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (586,'nationality','Nationality',9,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (587,'gender','Gender',10,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (588,'photo','Photo',12,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (589,'fileupload','File Upload',13,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (590,'section_basic','Basic Information',15,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (591,'category','Category',16,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (592,'salary','Salary ',17,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (593,'jobtype','Job Type',18,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (594,'heighesteducation','Heighest Education',19,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (595,'totalexperience','Total Experience',20,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (596,'startdate','Date you can start',21,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (597,'section_addresses','Addresses',42,'30',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (598,'section_sub_address','Current Address',43,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (599,'address_country','Country',44,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (600,'address_state','State',45,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (601,'address_county','County',46,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (602,'address_city','City',47,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (603,'address_zipcode','Zip Code',48,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (604,'address_address','Address',49,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (605,'section_sub_address1','Address1',51,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (606,'address1_country','Country',52,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (607,'address1_state','State',53,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (608,'address1_county','County',54,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (609,'address1_city','City',55,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (610,'address1_zipcode','Zip Code',56,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (611,'address1_address','Address',57,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (612,'section_sub_address2','Address1',61,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (613,'address2_country','Country',62,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (614,'address2_state','State',63,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (615,'address2_county','County',64,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (616,'address2_city','City',65,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (617,'address2_zipcode','Zip Code',66,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (618,'address2_address','Address',67,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (619,'section_education','Education',71,'40',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (620,'section_sub_institute','High School',72,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (621,'institute_institute','Institute',73,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (622,'institute_country','Country',74,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (623,'institute_state','State',75,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (624,'institute_county','County',76,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (625,'institute_city','City',77,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (626,'institute_address','Address',78,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (627,'institute_certificate','Certificate Name',79,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (628,'institute_study_area','Study Area',80,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (629,'section_sub_institute1','University',82,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (630,'institute1_institute','Institute',83,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (631,'institute1_country','Country',84,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (632,'institute1_state','State',85,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (633,'institute1_county','County',86,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (634,'institute1_city','City',87,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (635,'institute1_address','Address',88,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (636,'institute1_certificate','Certificate Name',89,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (637,'institute1_study_area','Study Area',90,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (638,'section_sub_institute2','Grade School',92,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (639,'institute2_institute','Institute',93,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (640,'institute2_country','Country',94,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (641,'institute2_state','State',95,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (642,'institute2_county','County',96,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (643,'institute2_city','City',97,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (644,'institute2_address','Address',98,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (645,'institute2_certificate','Certificate Name',99,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (646,'institute2_study_area','Study Area',100,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (647,'section_sub_institute3','Other School',102,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (648,'institute3_institute','Institute',103,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (649,'institute3_country','Country',104,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (650,'institute3_state','State',105,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (651,'institute3_county','County',106,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (652,'institute3_city','City',107,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (653,'institute3_address','Address',108,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (654,'institute3_certificate','Certificate Name',109,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (655,'institute3_study_area','Study Area',110,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (656,'section_employer','Employer',112,'50',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (657,'section_sub_employer','Recent Employer',113,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (658,'employer_employer','Employer',114,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (659,'employer_position','Position',114,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (660,'employer_resp','Responsibilities',115,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (661,'employer_pay_upon_leaving','Pay Upon Leaving',116,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (662,'employer_supervisor','Supervisor',117,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (663,'employer_from_date','From Date',118,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (664,'employer_to_date','To Date',119,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (665,'employer_leave_reason','Leave Reason',120,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (666,'employer_country','Country',121,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (667,'employer_state','State',122,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (668,'employer_county','County',123,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (669,'employer_city','City',124,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (670,'employer_zip','Zip Code',125,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (671,'employer_phone','Phone',126,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (672,'employer_address','Address',127,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (673,'section_sub_employer1','Prior Employer 1',128,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (674,'employer1_employer','Employer',129,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (675,'employer1_position','Position',130,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (676,'employer1_resp','Responsibilities',131,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (677,'employer1_pay_upon_leaving','Pay Upon Leaving',132,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (678,'employer1_supervisor','Supervisor',133,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (679,'employer1_from_date','From Date',134,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (680,'employer1_to_date','To Date',135,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (681,'employer1_leave_reason','Leave Reason',136,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (682,'employer1_country','Country',137,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (683,'employer1_state','State',138,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (684,'employer1_county','County',139,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (685,'employer1_city','City',140,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (686,'employer1_zip','Zip Code',141,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (687,'employer1_phone','Phone',142,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (688,'employer1_address','Address',143,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (689,'section_sub_employer2','Prior Employer 2',146,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (690,'employer2_employer','Employer',147,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (691,'employer2_position','Position',148,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (692,'employer2_resp','Responsibilities',149,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (693,'employer2_pay_upon_leaving','Pay Upon Leaving',150,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (694,'employer2_supervisor','Supervisor',151,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (695,'employer2_from_date','From Date',152,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (696,'employer2_to_date','To Date',153,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (697,'employer2_leave_reason','Leave Reason',154,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (698,'employer2_country','Country',155,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (699,'employer2_state','State',156,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (700,'employer2_county','County',157,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (701,'employer2_city','City',158,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (702,'employer2_zip','Zip Code',159,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (703,'employer2_phone','Phone',160,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (704,'employer2_address','Address',161,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (705,'section_sub_employer3','Prior Employer 3',166,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (706,'employer3_employer','Employer',167,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (707,'employer3_position','Position',168,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (708,'employer3_resp','Responsibilities',169,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (709,'employer3_pay_upon_leaving','Pay Upon Leaving',170,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (710,'employer3_supervisor','Supervisor',171,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (711,'employer3_from_date','From Date',172,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (712,'employer3_to_date','To Date',173,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (713,'employer3_leave_reason','Leave Reason',174,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (714,'employer3_country','Country',175,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (715,'employer3_state','State',176,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (716,'employer3_county','County',177,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (717,'employer3_city','City',178,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (718,'employer3_zip','Zip Code',179,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (719,'employer3_phone','Phone',180,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (720,'employer3_address','Address',181,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (721,'section_skills','Skills',186,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (722,'driving_license','Driving License',187,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (723,'license_no','License No',188,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (724,'license_country','License Country',189,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (725,'skills','Skills',190,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (726,'section_resumeeditor','Resume Editor',196,'70',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (727,'editor','Editor',197,'70',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (728,'section_references','References',206,'80',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (729,'section_sub_reference','Reference 1',207,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (730,'reference_reference','Reference',208,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (731,'reference_name','Name',209,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (732,'reference_country','Country',210,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (733,'reference_state','State',211,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (734,'reference_county','County',212,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (735,'reference_city','City',213,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (736,'reference_zipcode','Zip Code',214,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (737,'reference_phone','Phone',215,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (738,'reference_relation','Relation',216,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (739,'reference_years','Years',217,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (740,'section_sub_reference1','Reference 2',221,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (741,'reference1_reference','Reference',222,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (742,'reference1_name','Name',223,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (743,'reference1_country','Country',224,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (744,'reference1_state','State',225,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (745,'reference1_county','County',226,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (746,'reference1_city','City',227,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (747,'reference1_zipcode','Zip Code',228,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (748,'reference1_phone','Phone',229,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (749,'reference1_relation','Relation',230,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (750,'reference1_years','Years',231,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (751,'section_sub_reference2','Reference 3',232,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (752,'reference2_reference','Reference',233,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (753,'reference2_name','Name',234,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (754,'reference2_country','Country',235,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (755,'reference2_state','State',236,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (756,'reference2_county','County',237,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (757,'reference2_city','City',238,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (758,'reference2_zipcode','Zip Code',239,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (759,'reference2_phone','Phone',240,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (760,'reference2_relation','Relation',241,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (761,'reference2_years','Years',242,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (762,'section_sub_reference3','Reference 4',243,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (763,'reference3_reference','Reference',244,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (764,'reference3_name','Name',245,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (765,'reference3_country','Country',246,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (766,'reference3_state','State',247,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (767,'reference3_county','County',248,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (768,'reference3_city','City',249,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (769,'reference3_zipcode','Zip Code',250,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (770,'reference3_phone','Phone',251,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (771,'reference3_relation','Relation',252,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (772,'reference3_years','Years',253,'84',13,1,1,0,0);";
	
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (773,'Iamavailable','I am Available',11,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (774,'searchable','Searchable',12,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (775,'section_userfields','Visitor User Fields',22,'1000',13,0,0,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (776,'userfield1','User Field 1',23,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (777,'userfield2','User Field 2',24,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (778,'userfield3','User Field 3',25,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (779,'userfield4','User Field 4',26,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (780,'userfield5','User Field 5',27,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (781,'userfield6','User Field 6',28,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (782,'userfield7','User Field 7',29,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (783,'userfield8','User Field 8',30,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (784,'userfield9','User Field 9',31,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (785,'userfield10','User Field 10',32,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (786,'date_of_birth','Date of Birth',14,'10',3,1,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (787,'date_of_birth','Date of Birth',14,'10',13,1,0,0,0);";

	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (788,'video','Youtube Video Id',22,'20',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (789,'video','Youtube Video Id',22,'20',13,1,1,0,0);";

	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (790,'address_location','Longitude And Latitude',50,'31',3,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`id`, `field`, `fieldtitle`, `ordering`, `section`, `fieldfor`, `published`, `sys`, `cannotunpublish`, `required`) VALUES (791,'address_location','Longitude And Latitude',50,'31',13,1,1,0,0);";
	
	return $sql;
}

function getUpdateFieldOrderingVisitorSQL() {
	$db = &JFactory::getDBO();
	
	$sql = "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobcategory','Job Category',1,NULL,11,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'name','Name',2,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'url','URL',3,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'contactname','Contact Name',4,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'contactphone','Contact Phone',5,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'contactemail','Contact Email',6,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'since','Since',8,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'companysize','Company Size',9,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'income','Income',10,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'description','Description',11,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1','Address1',17,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'logo','Logo',19,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'contactfax','Contact Fax',7,NULL,11,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'country','Country',12,NULL,11,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'state','State',13,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'county','County',14,'',11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'city','City',15,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'zipcode','Zipcode',16,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2','Address2',18,NULL,11,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobtitle','Job Title',1,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'company','Company',2,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'department','Department',3,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobcategory','Job Category',4,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'subcategory','Sub Category',5,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobtype','Job Type',6,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobstatus','Job Status',7,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'gender','Gender',8,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'age','Age',9,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobsalaryrange','Job Salary Range',10,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobshift','Job Shift',11,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'heighesteducation','Heighest Education',12,NULL,12,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'experience','Experience',13,NULL,12,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'noofjobs','No of Jobs',14,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'duration','Duration',15,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'careerlevel','Career Level',16,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'workpermit','Work Permit',17,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'requiredtravel','Required Travel',18,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Video',19,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'map','Map',20,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'startpublishing','Start Publishing',21,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'stoppublishing','Stop Publishing',22,NULL,12,1,1,1,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'country','Country',23,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'state','State',24,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'county','County',25,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'city','City',26,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'sendemail','Send Email',27,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'sendmeresume','Send me Resume',28,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'description','Description',29,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'qualifications','Qualifications',30,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'prefferdskills','Prefered Skills',31,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'agreement','Agreement',32,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'metadescription','Meta Description',33,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'metakeywords','Meta Keywords',34,NULL,12,1,1,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'zipcode','Zipcode',26,NULL,12,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_personal','Personal Information',0,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'applicationtitle','Application Title',1,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'firstname','First Name',2,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'middlename','Middle Name',3,'10',13,0,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'lastname','Last Name',4,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'emailaddress','Email Address',5,'10',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'homephone','Home Phone',6,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'workphone','Work Phone',7,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'cell','Cell',8,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'nationality','Nationality',9,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'gender','Gender',10,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'photo','Photo',12,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'fileupload','File Upload',13,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_basic','Basic Information',14,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'category','Category',15,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'salary','Salary ',16,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'jobtype','Job Type',17,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'heighesteducation','Heighest Education',18,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'totalexperience','Total Experience',19,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'startdate','Date you can start',20,'20',13,1,1,1,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_addresses','Addresses',41,'30',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_address','Current Address',42,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_country','Country',43,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_state','State',44,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_county','County',45,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_city','City',46,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_zipcode','Zip Code',47,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_address','Address',48,'31',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_address1','Address1',50,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1_country','Country',51,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1_state','State',52,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1_county','County',53,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1_city','City',54,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1_zipcode','Zip Code',55,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address1_address','Address',56,'32',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_address2','Address1',60,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2_country','Country',61,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2_state','State',62,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2_county','County',63,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2_city','City',64,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2_zipcode','Zip Code',65,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address2_address','Address',66,'33',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_education','Education',70,'40',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_institute','High School',71,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_institute','Institute',72,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_country','Country',73,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_state','State',74,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_county','County',75,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_city','City',76,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_address','Address',77,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_certificate','Certificate Name',78,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute_study_area','Study Area',79,'41',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_institute1','University',81,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_institute','Institute',82,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_country','Country',83,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_state','State',84,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_county','County',85,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_city','City',86,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_address','Address',87,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_certificate','Certificate Name',88,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute1_study_area','Study Area',89,'42',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_institute2','Grade School',91,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_institute','Institute',92,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_country','Country',93,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_state','State',94,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_county','County',95,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_city','City',96,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_address','Address',97,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_certificate','Certificate Name',98,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute2_study_area','Study Area',99,'43',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_institute3','Other School',101,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_institute','Institute',102,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_country','Country',103,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_state','State',104,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_county','County',105,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_city','City',106,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_address','Address',107,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_certificate','Certificate Name',108,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'institute3_study_area','Study Area',109,'44',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_employer','Employer',111,'50',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_employer','Recent Employer',112,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_employer','Employer',113,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_position','Position',113,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_resp','Responsibilities',114,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_pay_upon_leaving','Pay Upon Leaving',115,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_supervisor','Supervisor',116,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_from_date','From Date',117,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_to_date','To Date',118,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_leave_reason','Leave Reason',119,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_country','Country',120,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_state','State',121,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_county','County',122,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_city','City',123,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_zip','Zip Code',124,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_phone','Phone',125,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer_address','Address',126,'51',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_employer1','Prior Employer 1',127,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_employer','Employer',128,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_position','Position',129,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_resp','Responsibilities',130,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_pay_upon_leaving','Pay Upon Leaving',131,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_supervisor','Supervisor',132,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_from_date','From Date',133,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_to_date','To Date',134,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_leave_reason','Leave Reason',135,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_country','Country',136,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_state','State',137,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_county','County',138,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_city','City',139,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_zip','Zip Code',140,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_phone','Phone',141,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer1_address','Address',142,'52',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_employer2','Prior Employer 2',145,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_employer','Employer',146,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_position','Position',147,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_resp','Responsibilities',148,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_pay_upon_leaving','Pay Upon Leaving',149,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_supervisor','Supervisor',150,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_from_date','From Date',151,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_to_date','To Date',152,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_leave_reason','Leave Reason',153,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_country','Country',154,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_state','State',155,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_county','County',156,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_city','City',157,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_zip','Zip Code',158,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_phone','Phone',159,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer2_address','Address',160,'53',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_employer3','Prior Employer 3',165,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_employer','Employer',166,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_position','Position',167,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_resp','Responsibilities',168,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_pay_upon_leaving','Pay Upon Leaving',169,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_supervisor','Supervisor',170,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_from_date','From Date',171,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_to_date','To Date',172,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_leave_reason','Leave Reason',173,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_country','Country',174,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_state','State',175,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_county','County',176,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_city','City',177,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_zip','Zip Code',178,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_phone','Phone',179,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'employer3_address','Address',180,'54',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_skills','Skills',185,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'driving_license','Driving License',186,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'license_no','License No',187,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'license_country','License Country',188,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'skills','Skills',189,'60',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_resumeeditor','Resume Editor',195,'70',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'editor','Editor',196,'70',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_references','References',205,'80',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_reference','Reference 1',206,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_reference','Reference',207,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_name','Name',208,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_country','Country',209,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_state','State',210,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_county','County',211,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_city','City',212,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_zipcode','Zip Code',213,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_phone','Phone',214,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_relation','Relation',215,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference_years','Years',216,'81',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_reference1','Reference 2',220,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_reference','Reference',221,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_name','Name',222,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_country','Country',223,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_state','State',224,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_county','County',225,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_city','City',226,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_zipcode','Zip Code',227,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_phone','Phone',228,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_relation','Relation',229,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference1_years','Years',230,'82',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_reference2','Reference 3',231,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_reference','Reference',232,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_name','Name',233,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_country','Country',234,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_state','State',235,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_county','County',236,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_city','City',237,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_zipcode','Zip Code',238,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_phone','Phone',239,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_relation','Relation',240,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference2_years','Years',241,'83',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_sub_reference3','Reference 4',242,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_reference','Reference',243,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_name','Name',244,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_country','Country',245,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_state','State',246,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_county','County',247,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_city','City',248,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_zipcode','Zip Code',249,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_phone','Phone',250,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_relation','Relation',251,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'reference3_years','Years',252,'84',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'Iamavailable','I am Available',11,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'searchable','Searchable',12,'10',13,1,1,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'section_userfields','Visitor User Fields',21,'1000',13,0,0,0,1);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield1','User Field 1',22,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield2','User Field 2',23,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield3','User Field 3',24,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield4','User Field 4',25,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield5','User Field 5',26,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield6','User Field 6',27,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield7','User Field 7',28,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield8','User Field 8',29,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield9','User Field 9',30,'1000',13,0,0,0,0);";
	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'userfield10','User Field 10',31,'1000',13,0,0,0,0);";

	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'date_of_birth','Date of Birth',14,'10',13,1,0,0,0);";

	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'video','Youtube Video Id',22,'20',13,1,1,0,0);";

	$sql .= "INSERT INTO  ".$db->nameQuote('#__js_job_fieldsordering')." (`field`, `fieldtitle`, `ordering`,`section`,`fieldfor`,`published`,`sys`,`cannotunpublish`,`required`) VALUES ( 'address_location','Longitude And Latitude',50,'31',13,1,1,0,0);";

	return $sql;
	
}
	function installModulePlugin($jsjobsversion) {
		
		jimport('joomla.installer.helper');
		$installer = new JInstaller();
		
		$installmp = 1;
		
		$version = new JVersion;
		$joomla = $version->getShortVersion();
		$jversion = substr($joomla,0,3);
		if($jsjobsversion != 0){ // update case
			if($jversion == '1.5') $installmp = 0;
		}
		if($installmp == 1){

			if($jversion == '1.5') $ext_module_path = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsjobs'.DS.'extensions'.DS.'modules_15'.DS;
			else $ext_module_path = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsjobs'.DS.'extensions'.DS.'modules'.DS;
			$extensions = array( 
				'mod_jsjobslogin.zip'=>'JS Jobs Login Module'

			 );
			   
				 
			echo "<br /><br /><font color='green'><strong>Installing modules</strong></font>";
			 foreach( $extensions as $ext => $extname ){
				  $package = JInstallerHelper::unpack( $ext_module_path.$ext );

				  if( $installer->install( $package['dir'] ) ){
					echo "<br /><font color='green'>$extname successfully installed.</font>";
				  }else{
					echo "<br /><font color='red'>ERROR: Could not install the $extname. Please install manually.</font>";
				  }
				  ?>
				<?php
				JInstallerHelper::cleanupInstall( $ext_module_path.$ext, $package['dir'] ); 
			}


			echo "<br /><br /><font color='green'><strong>Installing plugins</strong></font>";
			$ext_plugin_path = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsjobs'.DS.'extensions'.DS.'plugins'.DS;
			$extensions = array( 
				'plg_jsjobsregister.zip'=>'JS Jobs plg_jsjobsregister Plugin'

			 );
			   
				 
			 foreach( $extensions as $ext => $extname ){
				  $package = JInstallerHelper::unpack( $ext_plugin_path.$ext );
				  if( $installer->install( $package['dir'] ) ){
					echo "<br /><font color='green'>$extname successfully installed.</font>";
				  }else{
					echo "<br /><font color='red'>ERROR: Could not install the $extname. Please install manually.</font>";
				  }
				  ?>
				<?php
				JInstallerHelper::cleanupInstall( $ext_plugin_path.$ext, $package['dir'] ); 
			}
		}

	}

?>
